(Fiberworks PCW Bronze 4.2 Help Index)

How to use the Help system

Getting started - finding your way around

How do I...?

Menu Commands

File menu

Edit menu

View menu

Cloth menu

Warp menu

Tieup menu

Weft menu

Tools menu

Window menu

Help menu


validation dialog

PCW Validation and Upgrade dialogs

This dialog appears when you first open a copy of Fiberworks on a computer where it has not been validated.

This dialog allows you to register and validate a copy of Fiberworks downloaded from the web or installed from a CD. Until the validation code is entered, the program is restricted to demo mode, and won't save, print or weave.

Terms defined

Program ID is a number generated by your computer to identify the specific copy of Fiberworks running on that computer.

Validation code is a number supplied by Fiberworks that unlocks a given program ID. To generate a validation code, your must provide Fiberworks with your program ID, and Fiberworks will translate that into the matching validation code.

Multiple computers: If you own more than one computer, each will give a different program ID, even if they were installed from the same CD. You must submit each program ID to Fiberworks to obtain the corresponding validation codes. Fiberworks will supply you with a reasonable number of validation codes to allow for multiple computers for your own use and for periodic replacement of computers.

New users

If you are a new Fiberworks user, a purchase is necessary to obtain a validation code. See the Fiberworks website www.fiberworks-pcw.com for pricing and other details. Meanwhile, the program can be used as a demo until it is validated. In demo mode, Save, Save As, Preview and Print and Print Direct are inactivated

Registered users

If you are upgrading from an earlier version or lower level program, a purchase is necessary to obtain a validation code. There is no charge if you are reinstalling your current version on a new or repaired computer.

How to get a validation code

You can obtain your registration code by emailing the program ID that appears in the upper box to info@fiberworks-pcw.com. To ensure accuracy in sending the Program ID, select the text in the box, then right click on it and select Copy from the popup menu that appears. Then paste it into your email message (make sure no digits got dropped off in the process).

Include in your message:
  1. Program ID as described above; if you have more than one computer, we need the program ID from each computer.
  2. The level of program you are validating: Bronze, Silver, Silver Plus or Silver Plus with AVL.
  3. Your name, address, phone number, email address. We do not disclose this information to anyone else.
  4. If you are already a registered user, include your customer number and most recent invoice number. These numbers appear on the right hand side of your invoice, under the Fiberworks logo. They are also written on your CD if you obtained a CD from us.
  5. If you are a new user or are upgrading you may need to send payment information. We don't recommend sending credit card information by email. Either phone us or mail us. Cheques in Canadian, US or UK currency are also accepted. See our website www.fiberworks-pcw.com for current pricing, phone numbers and address.

If you have already validated PCW Silver, and wish to upgrade to Silver Plus to operate a computer assisted loom, a version of this dialog (slightly modified wording) allows you activate the Weave option in the File menu of your existing program. An upgrade purchase is necessary if you are not currently registered as a Silver Plus user. The same applies if you wish to activate the AVL Compu-Dobby drivers if you are not already registered at that level.

If you are already registered for PCW Silver and view the Silver Plus upgrade dialog, entering an invalid code or no code will not cancel or otherwise affect your previous PCW Silver registration.

The codes shown in this figure are for illustration purposes only and won't activate your program. You must obtain your activation code from Fiberworks.


(getting started)

Getting started - finding your way around

Getting Started with PCW - Layout of the PCW screen

Vista style

The layout of the Fiberworks PCW screen follows standard Windows conventions, but with slightly different styles which depend on your Windows version and settings (see also Windows XP and Windows Classic styles). These help files contain illustrations in a mix of Windows styles, so you might want to look at each style to see how they vary. If you see a picture and it's not exactly as you see on your screen, mostly it's only differences in color and framing style, and the essential content of each dialog or menu is the same.

  1. The title bar, shows the application name, PCW Bronze or Silver, and the name of the file currently open.
  2. The menu bar shows the main menu items. The menu may be activated by clicking the menu item with the mouse cursor, or by pressing the Alt key, then using the left ← or right → cursor keys to select the desired item; hit the Enter key or down ↓ cursor key when the desired menu item is highlit.
    If you are using the keyboard, each menu item has a short-cut key indicated by the underscored,character, for example File. The underscored character may be used for quick access to the menu via the keyboard. For example, press Alt+F for quick access to the the File menu.
  3. The toolbar runs vertically down the left edge (it may appear horizontally directly below the menubar if you are using a small screen size). The toolbar gives instant single mouse-click access to frequently used menu items. To find out what each button does, rest the mouse cursor on it for a few seconds without clicking. A small message box should pop out describing the button's action.
  4. The status bar reports information about the current design, e.g. number of shafts, treadles, ends and picks, or it may display program messages from the menus.
  5. The Minimize button takes the PCW program off your screen without closing it down. After you click the minimize button, a PCW icon willshow on the Windows Task Bar (usually at the bottom of the screen). If you click on this icon, it will restore your PCW program to the screen, and any work in progress should be exactly as you left it.
  6. The Maximize button toggles the PCW program between filling the whole screen (the normal working state), or occupying a window that shares the screen with other application windows.
  7. The Exit or Close button: click this to exit and close down the PCW program; you will be prompted to save any unsaved designs before PCW actually shuts down.
    Note that each design window inside the main PCW frame also has Minimize, Maximize and Close buttons. These act only on the design window they apply to.
  8. On the right edge of the screen, you will see the palette bar showing the working set of colors. Two overlapping squares at the top represent the active colors; the upper left square is described as the main color and the lower right square is the alternate color (the alternate color square is partly covered by the main color square). A single mouse click in a warp or weft color bar applies whatever color is in the main color square, and a double click applies whatever color is in the alternate color square.
  9. The remaining color patches underneath represent the working palette of colors. A single or double click on any of these patches selects them as the new main color or alternate color respectively. Some of the patches have numbers and letters next to them; these indicate the association between keyboard and colors. (See also How do I add colors to a draft?)

The PCW Drawdown Window

The main working area of the PCW main frame window is occupied by design windows, either drawdown windows or sketchpad windows (the sketchpad is available in Silver programs but not Bronze). The outer frame of the PCW program may contain several overlapping design windows, or you may choose to maximize a single design window to fill the entire PCW program frame. The Design window has scroll bars at right and bottom; the window may display only part of a much larger draft if you work at high magnification, and scroll bars allow you to navigate to different parts of the design.

Within the frame of the design window is a standard drawdown grid, oriented as shown. Threading runs from right to left and treadling runs from top to bottom. Two strips above the threading draft represent the warp color bar and the warp thickness bar. Click with the mouse cursor in the warp color bar to modify the color of individual warp threads. Click in the warp thickness bar to change the thickness of a warp thread. See How do I add colors to a draft? and How do I change thread thickness?

Similar strips for the weft color bar and weft thickness lie to the right of the treadling.

The insertion point

The active design window always has a designated spot called the insertion point which indicates where keyboard entry or the action of pasting clipboard contents will take place. This corresponds to the blinking keyboard cursor or caret in a word processing program. The PCW insertion point is indicated by a gray hatched square which blinks inside the grid square that contains the insertion point. To help you find the insertion point, there are two little red pointers in the divider between threading and cloth or treadling and cloth.

Anything you type at the keyboard appears at the insertion point, so you may need to move the insertion point to where you want it to act. A mouse click automatically resets the insertion point to the spot clicked on, so navigation by mouse is straightforward. If you want to use the keyboard, you can move the insertion point within a particular draft, e.g. threading, by means of cursor arrow keys ← ↑ ↓ →. Larger jumps can be made using Home or End keys (jump left, jump right in the threading) or PageUp and PageDown keys (jump up or down in the treadling).

To move from one draft component to another, use Ctrl+cursor arrow key,
e.g. Ctrl → moves the insertion point from Threading draft to the Tieup area, since the tieup is to the right of the threading.

To be consistent with Windows in general the Tab and Shift+Tab also act to move the insertion point from one draft component to another in a cycle.

If you are unsure how to relate a drawdown to the action of the loom, see What's going on in a drawdown

See also Using the mouse in Fiberworks

To find out more about how to use Fiberworks, proceed to How do I ...?

The terms Microsoft, Windows, Windows XP, Windows Vista, Windows Seven, Windows Explorer, Microsoft Paint (MS-Paint) and Microsoft Word (MS-Word) are trademarks or registered trademarks of Microsoft Corporation, wherever referred to in this help file.

Back to main index


(Mouse terms explained)

Using the mouse in PCW

Defining the terms used

  1. Point

    To point means to use the mouse to rest the cursor on some object on the screen, such as a button, a menu item or a grid square in a draft. Mouse cursors may have various shapes such as the widely used Windows arrow.

    Pointing by itself rarely produces any action in a program. However if you let the cursor rest motionless on a tool button or control object in a program (this is also known as hovering), in many cases this causes a small text box to pop open, explaining the action controlled by that button.

    Other examples of mouse cursors used in PCW include the pencil, the eyedropper and the scissors. The shape of the cursor indicates what actions can be taken, so the pencil indicates that you can draw into a draft.

    Each cursor has a defined point known as its hotspot, which is the precise position where the cursor is considered to lie. The hotspot is usually placed at a logical point in the cursor image, but is not normally made visible. The hotspot locations of common cursors are shown in the magnified views on the right.

    When pointing with a cursor, make sure the hotspot is in the location where you want the action to occur.

  2. Click

    To Click the mouse means to press the mouse button with the cursor lying on a specific object on the screen. If no particular mouse button is referred to, this usually means the left or dominant mouse button. (Left handed users may choose to reverse mouse button orientation, in which case the dominant button would be the right button and the secondary button the left button). Clicking on an object such as item in a toolbar or a line in a menu requests that the action controlled by that toolbar or menu item be taken. The action usually occurs as the mouse button is released. Clicking into a grid square in a weaving draft marks that square black (however see also the explanation of drag below).

    If the secondary (usually the right-hand) mouse button should be used, this will be stated explicitly, e.g. "Right-click on the tieup".

  3. Drag

    To drag with the mouse means to click, starting with the mouse cursor on a given object on the screen, but instead of releasing the mouse button immediately, to sweep the mouse cursor along the screen until you reach a second point, and then release the mouse button. Dragging is used frequently in PCW for drawing operations or selecting areas in drafts.

  4. Double-click

    To double-click means to click the mouse twice in succession with the mouse cursor resting on the same spot. Unless otherwise stated, double-clicks are made on the dominant (usually the left) mouse button. A double click may be followed by a drag, in which case the mouse button is held down on the second click and not released until the drag is complete.

    The second click must be made no more than about half a second after the first to count as a double-click rather than two single clicks in succession. In addition, the mouse cusor must not move between the two clicks. Not everyone is adept at doing this so PCW offers some alternatives to double clicks.

  5. Shift-click

    Shift-click means to hold down the shift key on the keyboard while clicking the mouse button. PCW interprets shift-click (single) as equivalent to a double-click, so avoids the difficulties described above.

  6. Control-click

    Control-click means to hold down the Control key (Ctrl) on the keyboard while clicking the mouse button. The use of the control key changes how PCW interprets a mouse click.

Back to drawing a simple threading

Back to main index


getting started XP

Getting started - finding your way around

Getting Started with PCW - Layout of the PCW screen

Windows XP style

The layout of the Fiberworks PCW screen follows standard Windows conventions, but with slightly different styles which depend on your Windows version and settings (see also Vista and Windows Classic styles). These help files contain illustrations in a mix of Windows styles, so you might want to look at each style to see how they vary. If you see a picture and it's not exactly as you see on your screen, mostly it's only differences in color and framing style, and the essential content of each dialog or menu is the same.

  1. The title bar, shows the application name, PCW Bronze or Silver, and the name of the file currently open.
  2. The menu bar shows the main menu items. The menu may be activated by clicking the menu item with the mouse cursor, or by pressing the Alt key, then using the left ← or right → cursor keys to select the desired item; hit the Enter key or down ↓ cursor key when the desired menu item is highlit.
    If you are using the keyboard, each menu item has a short-cut key indicated by the underscored,character, for example File. The underscored character may be used for quick access to the menu via the keyboard. For example, press Alt+F for quick access to the the File menu.
  3. The toolbar runs vertically down the left edge (it may appear horizontally directly below the menubar if you are using a small screen size). The toolbar gives instant single mouse-click access to frequently used menu items. To find out what each button does, rest the mouse cursor on it for a few seconds without clicking. A small message box should pop out describing the button's action.
  4. The status bar reports information about the current design, e.g. number of shafts, treadles, ends and picks, or it may display program messages from the menus.
  5. The Minimize button takes the PCW program off your screen without closing it down. After you click the minimize button, a PCW icon willshow on the Windows Task Bar (usually at the bottom of the screen). If you click on this icon, it will restore your PCW program to the screen, and any work in progress should be exactly as you left it.
  6. The Maximize button toggles the PCW program between filling the whole screen (the normal working state), or occupying a window that shares the screen with other application windows.
  7. The Exit or Close button: click this to exit and close down the PCW program; you will be prompted to save any unsaved designs before PCW actually shuts down.
    Note that each design window inside the main PCW frame also has Minimize, Maximize and Close buttons. These act only on the design window they apply to.
  8. On the right edge of the screen, you will see the palette bar showing the working set of colors. Two overlapping squares at the top represent the active colors; the upper left square is described as the main color and the lower right square is the alternate color (the alternate color square is partly covered by the main color square). A single mouse click in a warp or weft color bar applies whatever color is in the main color square, and a double click applies whatever color is in the alternate color square.
  9. The remaining color patches underneath represent the working palette of colors. A single or double click on any of these patches selects them as the new main color or alternate color respectively. Some of the patches have numbers and letters next to them; these indicate the association between keyboard and colors. (See also How do I add colors to a draft?)

The PCW Drawdown Window

The main working area of the PCW main frame window is occupied by design windows, either drawdown windows or sketchpad windows (the sketchpad is available in Silver programs but not Bronze). The outer frame of the PCW program may contain several overlapping design windows, or you may choose to maximize a single design window to fill the entire PCW program frame. The Design window has scroll bars at right and bottom; the window may display only part of a much larger draft if you work at high magnification, and scroll bars allow you to navigate to different parts of the design.

Within the frame of the design window is a standard drawdown grid, oriented as shown. Threading runs from right to left and treadling runs from top to bottom. Two strips above the threading draft represent the warp color bar and the warp thickness bar. Click with the mouse cursor in the warp color bar to modify the color of individual warp threads. Click in the warp thickness bar to change the thickness of a warp thread. See How do I add colors to a draft? and How do I change thread thickness?

Similar strips for the weft color bar and weft thickness lie to the right of the treadling.

The active design window always has a designated spot called the insertion point which indicates where keyboard entry or the action of pasting clipboard contents will take place. This corresponds to the blinking keyboard cursor or caret in a word processing program. The PCW insertion point is indicated by a gray hatched square which blinks inside the grid square that contains the insertion point. To help you find the insertion point, there are two little red pointers in the divider between threading and cloth or treadling and cloth.

Anything you type at the keyboard appears at the insertion point, so you may need to move the insertion point to where you want it to act. A mouse click automatically resets the insertion point to the spot clicked on, so navigation by mouse is straightforward. If you want to use the keyboard, you can move the insertion point within a particular draft, e.g. threading, by means of cursor arrow keys ← ↑ ↓ →. Larger jumps can be made using Home or End keys (jump left, jump right in the threading) or PageUp and PageDown keys (jump up or down in the treadling).

To move from one draft component to another, use Ctrl+cursor arrow key,
e.g. Ctrl → moves the insertion point from Threading draft to the Tieup area, since the tieup is to the right of the threading.

To be consistent with Windows in general the Tab and Shift+Tab also act to move the insertion point from one draft component to another in a cycle.

If you are unsure how to relate a drawdown to the action of the loom, see What's going on in a drawdown

Using the mouse in Fiberworks

To find out more about how to use Fiberworks, proceed to How do I ...?

The terms Microsoft, Windows, Windows XP, Windows Vista, Windows Seven, Windows Explorer, Microsoft Paint (MS-Paint) and Microsoft Word (MS-Word) are trademarks or registered trademarks of Microsoft Corporation, wherever referred to in this help file.

Back to main index


getting started Classic

Getting started - finding your way around

Getting Started with PCW - Layout of the PCW screen

Windows Classic style

The layout of the Fiberworks PCW screen follows standard Windows conventions, but with slightly different styles which depend on your Windows version and settings (see also Vista and Windows XP styles). Classic style is seen in Windows 98 or can be selected as an alternative in Windows XP or Vista. These help files contain illustrations in a mix of Windows styles, so you might want to look at each style to see how they vary. If you see a picture and it's not exactly as you see on your screen, mostly it's only differences in color and framing style, and the essential content of each dialog or menu is the same.

  1. The title bar, shows the application name, PCW Bronze or Silver, and the name of the file currently open.
  2. The menu bar shows the main menu items. The menu may be activated by clicking the menu item with the mouse cursor, or by pressing the Alt key, then using the left ← or right → cursor keys to select the desired item; hit the Enter key or down ↓ cursor key when the desired menu item is highlit.
    If you are using the keyboard, each menu item has a short-cut key indicated by the underscored,character, for example File. The underscored character may be used for quick access to the menu via the keyboard. For example, press Alt+F for quick access to the the File menu.
  3. The toolbar runs vertically down the left edge (it may appear horizontally directly below the menubar if you are using a small screen size). The toolbar gives instant single mouse-click access to frequently used menu items. To find out what each button does, rest the mouse cursor on it for a few seconds without clicking. A small message box should pop out describing the button's action.
  4. The status bar reports information about the current design, e.g. number of shafts, treadles, ends and picks, or it may display program messages from the menus.
  5. The Minimize button takes the PCW program off your screen without closing it down. After you click the minimize button, a PCW icon willshow on the Windows Task Bar (usually at the bottom of the screen). If you click on this icon, it will restore your PCW program to the screen, and any work in progress should be exactly as you left it.
  6. The Maximize button toggles the PCW program between filling the whole screen (the normal working state), or occupying a window that shares the screen with other application windows.
  7. The Exit or Close button: click this to exit and close down the PCW program; you will be prompted to save any unsaved designs before PCW actually shuts down.
    Note that each design window inside the main PCW frame also has Minimize, Maximize and Close buttons. These act only on the design window they apply to.
  8. On the right edge of the screen, you will see the palette bar showing the working set of colors. Two overlapping squares at the top represent the active colors; the upper left square is described as the main color and the lower right square is the alternate color (the alternate color square is partly covered by the main color square). A single mouse click in a warp or weft color bar applies whatever color is in the main color square, and a double click applies whatever color is in the alternate color square.
  9. The remaining color patches underneath represent the working palette of colors. A single or double click on any of these patches selects them as the new main color or alternate color respectively. Some of the patches have numbers and letters next to them; these indicate the association between keyboard and colors. (See also How do I add colors to a draft?)

The PCW Drawdown Window

The main working area of the PCW main frame window is occupied by design windows, either drawdown windows or sketchpad windows (the sketchpad is available in Silver programs but not Bronze). The outer frame of the PCW program may contain several overlapping design windows, or you may choose to maximize a single design window to fill the entire PCW program frame. The Design window has scroll bars at right and bottom; the window may display only part of a much larger draft if you work at high magnification, and scroll bars allow you to navigate to different parts of the design.

Within the frame of the design window is a standard drawdown grid, oriented as shown. Threading runs from right to left and treadling runs from top to bottom. Two strips above the threading draft represent the warp color bar and the warp thickness bar. Click with the mouse cursor in the warp color bar to modify the color of individual warp threads. Click in the warp thickness bar to change the thickness of a warp thread. See How do I add colors to a draft? and How do I change thread thickness?

Similar strips for the weft color bar and weft thickness lie to the right of the treadling.

The active design window always has a designated spot called the insertion point which indicates where keyboard entry or the action of pasting clipboard contents will take place. This corresponds to the blinking keyboard cursor or caret in a word processing program. The PCW insertion point is indicated by a gray hatched square which blinks inside the grid square that contains the insertion point. To help you find the insertion point, there are two little red pointers in the divider between threading and cloth or treadling and cloth.

Anything you type at the keyboard appears at the insertion point, so you may need to move the insertion point to where you want it to act. A mouse click automatically resets the insertion point to the spot clicked on, so navigation by mouse is straightforward. If you want to use the keyboard, you can move the insertion point within a particular draft, e.g. threading, by means of cursor arrow keys ← ↑ ↓ →. Larger jumps can be made using Home or End keys (jump left, jump right in the threading) or PageUp and PageDown keys (jump up or down in the treadling).

To move from one draft component to another, use Ctrl+cursor arrow key,
e.g. Ctrl → moves the insertion point from Threading draft to the Tieup area, since the tieup is to the right of the threading.

To be consistent with Windows in general the Tab and Shift+Tab also act to move the insertion point from one draft component to another in a cycle.

If you are unsure how to relate a drawdown to the action of the loom, see What's going on in a drawdown

Using the mouse in Fiberworks

To find out more about how to use Fiberworks, proceed to How do I ...?

The terms Microsoft, Windows, Windows XP, Windows Vista, Windows Seven, Windows Explorer, Microsoft Paint (MS-Paint) and Microsoft Word (MS-Word) are trademarks or registered trademarks of Microsoft Corporation, wherever referred to in this help file.

Back to main index


Controlling window frames

Controlling Window Frames with the Mouse

The Fiberworks main frame window

When you open the Fiberworks program, your screen is occupied by the Fiberworks main frame window. The borders of this frame window contain the menus, toolbar, color palette and status bar. Within the main frame are one or more design windows in their own frames, and these may contain either a drawdown or a sketchpad* design. Drawdown windows do not have their own menus or tool bars.
*available in Fiberworks Silver only.

You may have multiple Drawdown windows open at the same time, which may overlap each other. They share the menu and toolbars on the main frame window. One drawdown window lies on top of the others, and this is the active window which receives instructions from menu and toolbars. To make another drawdown window active, simply click somewhere in its frame; the title bar is ideal since no unexpected action will result from the click.

Moving and Resizing windows

You can move a design window around inside the main frame window by clicking on the title bar and dragging to a new position.

You can change the size of a main frame window or a design window by moving the mouse cursor carefully over the edge of the frame. At the right point, the cursor turns into a double-headed arrow. If you now click and drag, the frame will follow the cursor, allowing you to expand or shrink the frame.

Minimize button

All main frame windows and design windows have the Minimize, Maximize and Close control buttons at the top right corner of the frame. If you click the Minimize button on a drawdown window, the window is reduced to just a short title bar, which is parked near the bottom left corner of the main frame window.

The Minimize button is replaced by a Restore button; click this to restore the drawdown window to its original size and position in the main fram window.

If you click the Minimize button on the main frame window, it disappears, but an entry for Fiberworks PCW is retained on the Windows task bar at the bottom of the screen. Click this to restore the Fiberworks main frame window to its original size and position on the screen.

Maximize button

If you click the Maximize button of a Drawdown window, the drawdown will occupy the entire main frame window of Fiberworks. If you click the Maximize button of the Fiberworks main frame window, the Fiberworks window will occupy the entire screen. In each case, the Maximize button is replaced by a Restore button. If you click the restore button, the original unmaximized window frame is restored.

When a drawdown window is maximized, it no longer has its own titlebar. The Minimize, Restore and Close buttons of the maximized drawdown window appear at the right-hand end of the Menu bar.

Back to Getting started

Back to main index


(Scroll bars)

A vertical scrollbar is displayed the right edge of the drawdown window, and a horizontal scrollbar at the bottom of the drawdown (see example below). Scrollbars allow you to use the mouse to scroll to view other parts of the drawdown when it is too large to fit on a single screen. The image below illustrate what happens when you click in different parts of a scrollbar:

Each scrollbar contains a rectangular shape called the scroll box. The scrollbar itself represents the full width of your drawdown (or height for a vertical scrollbar). The length of the scroll box indicates the proportion of the drawdown that is visible on screen. If your full drawdown is 150 ends wide and 50 ends are visible, the scroll box will be about 1/3 as wide as the scrollbar. The scroll box will shrink if you add more warp ends.

The position of the scroll box indicates what part of the complete drawdown is currently displayed. If you click and drag on the scroll box with the mouse, you can move it left or right (up or down in a vertical scrollbar), and the portion of the drawdown that's displayed on the screen will shift in response.

Direction of movement

In the diagrams below, the black rectangle represents a drawdown too large to show on the screen; the red rectangle represents the computer screen. If you drag the scroll box rightwards, you are moving the frame of view to the right, so the contents of the frame will appear to move leftwards.

When you scroll horizontally, the contents of the threading and the cloth move across, but the tieup and treadling always remain in place. When you scroll vertically, treadling and cloth move up or down, and threading and tieup remain in position. You can't scroll the tieup off the screen.

At the bottom right corner of the screen, the status bar reports the range of ends and picks currently visible on screen. E stands for ends and P stands for picks. Warp end 1 and weft pick 1 are at the top right corner of the drawdown.

Back to main index


(Title Bar)

The title bar is located along the top of a window. Both the application main frame window and individual design windows may have their own title bars. A title bar may contain the following elements:

  1. Application Control menu button
  2. Name of the application (on the main frame window only)
  3. Name of the drawdown or design
  4. Minimize button
  5. Restore button or maximize button
  6. Close button

To move the window, click on the the title bar and drag wherever you want the window to be. Note: You can also move dialog boxes by dragging their title bars.

Back to main index


Toolbar

The toolbar is displayed along the left side of the main Fiberworks window frame, or along the top if you have a small screen. The toolbar provides quick mouse access to many tools used in Fiberworks

The toolbar is shown here with explanations of what each button does. Within the program, if you rest the mouse cursor on each button for a couple of seconds, a description of that button should pop up.

Toolbar items shown here marked with • represent actions that take place when you click the button.

Toolbar items marked with • represent toggles, i.e. can be turned on or off, that do nothing immediately but affect other actions. For example Transparent Paste determines how Paste behaves; Unlink determines how Insert and Delete behave.

Toolbar items marked with • represent toggles that change how the drawdown is displayed. For example the Back button shows the back of the sample. Click again to revert to normal mode.

Tool bar items marked by the open oval are switches, i.e. only one item of the group can be selected at any time. They affect what the mouse does when you click within the drawdown, e.g. the style of drawing.

To hide or display the toolbar, click Toolbar from the View menu.

Back to main index


(What's going on in a drawdown)

The drawdown shows a representation of a piece of cloth consisting of vertical threads (warp) and horizontal threads (weft) that cross each other (interlace) in a pattern determined by how the loom is set up and used. PCW simulates the action of the loom to generate the interlacement. It is the loom and what it can or can't do that limits what kind of pattern or image appears in the drawdown.

Each warp or weft thread can be individually colored; the relative thickness of individual threads can also be adjusted. The threading draft above, and the tieup and treadling drafts to the right of the cloth indicate how the loom controls each thread.

Each warp thread (end) is threaded into the heddles on a particular shaft. The black squares in the threading draft indicate which shaft a warp end is threaded into. Shaft 1 is at the bottom of the threading draft, and is nearest the weaver on the loom. Shafts are lifted by pushing treadles. A treadle is linked to one or more shafts, and this is shown in the tieup draft. Black squares in the tieup show which shafts are connected to a given treadle. Black squares in the treadling show which treadle must be pushed as each weft thread is inserted.

When a treadle is pushed, it causes those shafts tied to it to lift. This raises all the warp ends threaded into the shafts being lifted; the remaining warp threads remain down. When weft is inserted, it passes under the raised threads and over the unraised threads; this constitutes one pick of the weaving.
The interlacement of the cloth is determined by these actions. In the example, at pick 3, treadle 1 is pushed. Treadle 1 is tied to shaft 3 (black square in the tieup), which controls warp end 3, but not tied to shaft 4 (white square in the tieup) which controls warp end 4. As a result warp end 3 is raised, but warp end 4 is not. When the yellow thread of pick 3 is inserted, it passes under warp end 3 but over warp end 4.

At pick 4, treadle 2 is pushed, and is not tied to shaft 3, but is tied to shaft 4. As a result warp end 3 is not raised, and warp end 4 is raised and passes over the red weft thread.

Back to main index


(How do I ...?)

Fiberworks PCW Bronze 4.2

How do I ...?

How do I draw a simple threading?
How do I draw a simple tieup?
How do I make black squares white in the tieup???
How do I draw a treadling?
How do I add colors to a draft?
Why doesn't the color show in the cloth?
How do I use a color that's not in the current palette?
How do I use the keyboard in a design?
How do I change thread thickness?
How do I change the number of shafts and treadles?
How do I make the program start with my preferred number of shafts and treadles?
How do I add or remove threads from the middle of a draft?
Can I insert or delete colors without affecting my threading or treadling?
What does the status bar tell me?
How do I change the magnification of the design?
How do I save my designs?
How do I open and save WIF files?
How do I open files from older PCW versions?
When I save design files, where do they go?
How do I find the right folder to open or save files?
How do I create a new folder for my design files?
How do I print my design?
Can I print a threading chart?
Why won't my printer print a drawdown?
How do I select an area to move or copy?
How do I make repeats?
How do I add tabby?
How do I tromp as writ?
How do I search for long floats?
How do I create a profile draft?
How do I do block substitution?
How do I create a namedraft?
Is there a simple way to create a twill tieup?
What are context menus, and how do I use them?


(How to draw)

How do I draw a simple threading?

A threading draft may be created by drawing with the mouse or by typing a sequence of shaft numbers.

Using the mouse to create a threading draft:

Start by ensuring that one of the drawing tools has been selected; there are four tools in Bronze and five in Silver. The choices are straight draw, point draw, line draw, free hand and network (network is only available in PCW Silver). A drawing tool icon should appear depressed when it has been selected. In the example, the straight draw icon is selected, and this is the normal selection when the program first starts.

Click the [image] button to select point draw. When you move the mouse cursor into the design window, it should change into the shape of a pencil. If the mouse cursor stays like the conventional arrow shape inside the design window, no drawing tool is currently selected, so go back and click one of the drawing tool buttons. |
Press the left mouse button at the point you first want threaded, then drag left or right. This makes a red outlined rectangle, which fills itself with a threading pattern according to the drawing tool that's selected. | What is meant by drag?
So long as you keep the mouse button pressed, the red rectangle will grow or shrink as you drag the mouse. When the mouse button is released, the red rectangle disappears, and the threading drawn inside it will be set in place. (You can use the undo button to remove what you have just drawn if you don't like it.) It's not necessary to try to accurately trace the path of the actual threading with the mouse cursor - all you have to do is extend the red rectangle in a single diagonal stroke and let it fill itself. As long as you hold the mouse button down, the red rectangle remains visible, and you can increase or decrease the height and width of the block that you are drawing. |
The two main drawing tools, straight draw and point draw can be used even for elaborate threadings such as overshot, by keeping the red rectangle two shafts high. |
If you wish to click one square at a time, the first four mouse drawing tools all allow you to do so (the network drawing tool is the only exception. Click once to make a grid square black. Double click to clear a square and make it white again. |
Threading drafts only record one shaft per warp end. This means that if you make an error and wish to change threading to a different shaft, you simply point to the shaft you want. When you click, the new shaft is marked and the old mark disappears without your having to erase it first. This makes it easy to fix errors. |

Next: How do I draw a Tieup?

See also: How use the keyboard to do threadings

Back to main index


(How to tie)

How do I draw a tieup?

A tieup may be created by drawing with the mouse or by keyboard.

Using the mouse to create a tieup:

The straight draw tool [image] is probably the most useful in the tieup, especially if diagonals are emphasized, as in twill tieups. Click and drag to expand the red rectangle along the line of the required diagonal, as described for drawing the threading (step A shown at left). The complete tieup is then built up from a series of diagonal strokes of the mouse, steps B, C and D, below. Many steps are required to go from step C to step D; not all of them are shown in this diagram - see if you can work out what's needed.

Unlike the threading, which strictly allows only one shaft per warp end, many shafts can be tied up to each treadle. The additional diagonal strokes in steps B or C add to the overlapping diagonals of earlier steps, rather than replacing them as would happen in the threading.

Useful tip: double click turns a black square white. If the drawing stroke is initiated with a double click, you can draw a diagonal of white squares across a black area.
Remember also that with the main four drawing tools (not network), the mouse may also be used to click single grid squares one by one. A single click draws black, and a double click draws white or erases black.

See also

Alternatives to double clicks

Next: How do I draw a treadling?

See also: How to use the keyboard to do tieups

Back to main index


(How to treadle)

How do I draw a treadling?

The treadling draft can be drawn in much the same way as the threading.
For straight draw, select the drawing tool [image], click down in the treadling draft at the start of the block and drag down and right to expand the red rectangle. The red rectangle will fill itself with a straight draw treadling.
Useful tip: The numbers appearing just above the tieup indicate the size of the red rectangle that appears when you draw. In the example, the red rectangle is 8 picks high by 4 treadles deep, with the insertion point at treadle 8, pick 16. This is what the numbers 8x4 8,16 just above the tieup indicate. Similar information also appears in the status bar at the bottom of the window.

If you draw the treadling when threading and tieup already exist, you should see the cloth drawdown appearing automatically.

Next: How do I add colors to a draft?

See also: How to do treadlings with the keyboard

Back to main index


(How to color)

How do I add colors to a draft?

Adding new Colors

Selecting the working colors used by the mouse

The palette bar occupies the right hand border of the PCW program frame. It shows the colors available to the currently active design window. Different design windows may have different sets of colors in the color palette.
At the top of the palette bar, there are two overlapped squares of color; these represent the two current working colors used by the mouse. The upper left or main color may be applied by a single click of the left mouse button. The lower right or alternate color is applied by a double click of the left mouse button.

You may select different working colors by clicking on any of the other smaller color patches in the palette bar. A single click makes your new selection replace the main color. A double click puts your new selection in place of the alternate color.

If you find double clicking to be awkward, PCW offers some alternatives to double clicks.

If you don't find the color you want in the existing color palette, or want to change a color that's already in the design see How do I use a color that's not in the current palette.

Applying colors to your design

Before starting, check that a drawing tool is selected rather than the rectangle selection tool. When a drawing tool is selected, the mouse cursor should appear as a pencil when it passes into the drawdown frame. Also, make sure the drawdown is set to view color in the cloth.

You record thread colors by drawing in the Warp and Weft color bars. By default, the warp is white and the weft is blue.

Click the mouse into the warp or weft color bar. A single click colors the thread at the pencil tip with the main color. A double click colors the thread with the alternate color. (Be careful not to stray into the thread thickness zone above the warp color bar.)
You can also "paint" many threads at once with a single color: click and drag the mouse across a block of threads in the color bar.
To apply more colors to the warp, simply click into the color palet to select a new main color, then click into the warp color bar where you want the color to appear. Repeat as many times as desired.

Follow exactly the same steps to color threads in the weft color bar.

When many different colors are used in a design, it's sometimes more convenient to use the keyboard: see adding colors by keyboard.

In addition, there's an easy way to set a single solid color or make simple repetitive patterns of two colors: see Warp menu.

Back to main index


(show color in cloth)

Why doesn't the color show in the cloth?

Viewing the Cloth as Structure or Color

The cloth drawdown may be set to display the woven structure as a warp drawdown (warp threads on top shown as black, weft white) or as a weft drawdown (warp threads on top shown in white, weft black). In structure view, individual thread colors are not displayed in the cloth, although they can be seen in the warp and weft colorbars. In these examples, the warp is all white and the weft is all blue.

You can also set the display to view color in the cloth. Select Color View through the View Menu, or by clicking the Color View button [image] on the toolbar. When Color View is selected, the button should appear depressed.

You can add new colors to the warp or weft bar in either structure view or color view, but you need to have color view selected in order see the color in the cloth.

A couple of other toolbar buttons can be introduced here:
The Back View button [image] toggles between views of the back and the front of the cloth.
The Interlacement button [image] turns on Interlacement Display Mode (see Cloth menu). As an alternative to the normal color drawdown, interlacement shows colored threads in the cloth with the warp and weft threads individually delineated.

Adding new colors to warp or weft by mouse
Adding new colors to warp or weft by keyboard

Back to main index


(Use Color not in Palette)

How do I use a color that's not in the current palette?

If you wish to create a new color that's not in the current palette, do one of the following:

To create a new color from one of the unused colors in the existing palette,

right click (but see note below*) on the color patch in the palette that you wish to change. This will make the Modify Colors dialog appear. This dialog allows you to select a new color.

To change a color that already exists in the design,

If you know which color patch represents the color you intend to change, right click (see note*) on the patch as described above to get the Modify Colors dialog to appear.

If you don't know which color palette patch to select, click once on the color pickup tool [image] in the toolbar.

The mouse cursor will appear as a medicine dropper. Click the medicine dropper on a warp or weft thread of the color that you want to select.

This puts the selected color up in the main color square above the color palette. Now right click (see note*) the main color square to make the Modify colors dialog appear. The modify colors dialog allows you to replace the selected color with something different.

*Note: PCW allows you to choose one of two modes for handling right clicks and double clicks.

In normal mouse mode, single left click on a color patch selects it as the main color; double left click on a color patch selects it as the alternate color. Right click pops up the Modify Colors dialog.

In alternative mouse mode, left click selects the main color as described above, right click selects the alternative color, and shift left or right click pops up the Modify Colors dialog. The alternative mouse mode is intended for people who have difficulty with double clicks.

See View menu, Preferences, Miscellaneous settings to find out which mode you are using or to change modes.

Back to main index


(How to use the keyboard)

Entering threadings by keyboard

Threading drafts may be quickly entered by keyboard. First ensure that the blinking insertion point is located in the threading draft where you want to start (see Getting started for information on the insertion point and how to move it).

The threading can be entered by typing a sequence of shaft numbers, e.g. 1 3 2 3 1 4 2 4 1 5 2 5. This fills the threading draft in right-to-left order. The insertion point advances automatically to the left as each number is typed, so there's no need to press the Enter key or use cursor keys after each number is typed.

Numbers may be typed on the standard typewriter keys, or from the numeric keypad on the right side of the keyboard. (To use the numeric keypad NumLock must be on) Use the 0 key for shaft 10.

Some threading sequences (such as the example above) are awkward to enter by mouse clicks, and keyboard entry may well be quicker in these cases.

There's a choice of methods for entering numbers greater than 10:

Single keystroke mode

The alphabetic rows below the numeric keys are used to represent values up to 40; this has the advantage that each shaft entry is represented by a single keystroke. If you type with shift key is pressed, 40 is added to the key value to give you numbers 41-80. Type Q for 51 and q for 11. (See note below if you are using a keyboard with a different layout.)

Two-digit mode

Alternatively, the numeric keypad may be set to make entries to the threading every two digits typed: to use two-digit mode, set Scroll Lock on as well as NumLock. On most keyboards, this causes indicator lights to be lit. In two-digit mode, you enter shaft 16 by typing 1 6 which makes the cursor automatically advance after the 6. However if you are using the two-digit typing mode, to enter shaft 6, you must then type 0 6.

To enter a sequence consisting of shafts 1,13,2,13, you should type

0 1 1 3 0 2 1 3

If you are using a different keyboard than the USA/Canada/UK layout, you can ensure that the numeric values assigned to keys follow this pattern even if some of the letters are rearranged. See View menu, Preferences and select Miscellaneous settings to change key layout, e.g. to match the German keyboard shown here.

Moving the insertion point

Cursor keys ← ↑ ↓ → move the insertion point anywhere within the threading, allowing you to navigate easily to correct errors.

Editing and corrections

If you type a number when the insertion point lies on a previously marked warp end, it replaces or overwrites the previous value, and the insertion point advances leftwards (right to left threading convention). Standard editing keys may also be used including Backspace, Delete and Insert.

The Insert key inserts a single blank thread at the insertion point rather than setting an "insert-as- you-type" mode as you might find in a word processing program. Warp ends at and to the left of the insertion point are pushed one space left for each Insert keystroke.
The Delete key takes out an unwanted thread at the insertion point and closes the resulting gap. Warp ends to the left of the insertion point shift one place right at each keystroke.
Backspace shifts the insertion point one space to the right and then deletes the thread. The insertion point progresses rightwards at each keystroke.
Use the - (minus) key to unmark a thread and leave a blank in its place, without closing the gap. The insertion point progresses leftwards for each minus keystroke.
Finally, the plus key sets a mark at the current insertion point. The insertion point progresses left at each keystroke; use the ↑ or ↓ keys to move to another shaft. (The = keystroke has exactly the same action as +, so there's no need to touch the shift key for +.)
A Keyboard exercise: Press the Backspace key and hold it down until whatever threading you have is wiped clean, and the insertion point has returned to warp end 1.
Now type 1 2 3 4 1 2 3 4 5 6 7 8 5 6 7 8.

Next: Proceed to Entering tieups by keyboard

Back to main index


(Tieups with the keyboard)

Entering tieups by keyboard

First ensure that the insertion point has been moved to the tieup. For example, if the insertion point is currently in the threading, press Ctrl →key to move it to the tieup. The tab key may also be used, see Getting started. Then use the cursor (arrow) keys to place the insertion point in treadle 1 (leftmost). See examples below.

Method 1: with number keys

Type the numbers of each shaft tied up on treadle 1, e.g. 1 2 3 5
The insertion point remains in treadle 1, so each number typed adds another shaft to this treadle. When treadle 1 is complete, press the → cursor key to move the insertion point to treadle 2. Continue typing in the shaft numbers for the next treadle.

Method 2: with + and - keys

Start with the insertion point at bottom left. Each time you type + (or =), a black square is marked, and the insertion point moves up one square. Each time you type a -, a white square is marked and the insertion point moves up one. When you type in the topmost square, the insertion point moves to the bottom of the next column on the right. The advantage of this method is that you only use two keys, and it's easy to develop a rhythm.

Editing and corrections

The Insert and Delete act by inserting or removing an entire treadle from the tie up. Make sure the insertion point lies on the treadle you want to add or remove before you press Insert, delete.

Backspace deletes the treadle to the left of the current insertion point, and shifts the insertion point one treadle to the left.
Individual shaft entries can be erased without removing the entire treadle by using the cursor keys ← ↑ ↓ → to place the insertion point on the unwanted shaft. Then press the minus key, which marks a black square white. Alternatively, simply type the number of the unwanted shaft. Numeric keys toggle shafts on or off in the tieup, so if shaft 4 was black at the start, typing 4 again turns that square white.
Keyboard exercise: Use the Delete and Backspace keys to get a blank tieup. Now move the insertion point to treadle 1 and type 1 2 3 5; move to treadle 2 and type 1 2 4 6; move to treadle 3 and type 1 3 4 7; move to treadle 4 and type 2 3 4 8; move to treadle 5 and type 1 5 6 7; move to treadle 6 and type 2 5 6 8; move to treadle 7 and type 3 5 7 8; finally move to treadle 8 and type 4 6 7 8.

Next: Entering treadling by keyboard

Back to main index


(Treadling by keyboard)

Entering treadling by keyboard.

The treadling draft can be typed in as a numeric sequence in the same way as the threading, except the orientation and cursor movement is vertical, and runs top to bottom.

You will need to move the insertion point into the treadling draft before you can start. Ctrl → moves it from threading to tie up, Ctrl ↓ moves it from tieup to treadling draft. If you type in the treadling when threading and tieup already exist, you should see the cloth drawdown appearing automatically.

Type 1 2 3 4 1 2 3 4 5 6 7 8 5 6 7 8 into the treadling to complete the keyboard exercise.

Next: Entering colors by keyboard

See also: Multipedal treadling to allow more than one treadle to be used on each pick.

Back to main index


(Colors by keyboard)

Entering colors by keyboard.

The color palette on the right edge of the screen shows a series of numbers and characters next to each color patch. These indicate how each color is associated with a key on the keyboard. The keys in the right column are the shift versions of the keys in the left column, e.g. @ instead of 2, Q instead of q.

Move the insertion point into the warp color bar. Ctrl ↑ moves it from threading to treadling or from cloth to threading; Ctrl ← moves it from tieup to threading or treadling to cloth. Alternatively, press the Tab key several times until the insertion point cycles around to the warp color bar. The Left ← and Right → cursor keys allow you to select the position of the insertion point within the warp color bar.

Identify which keys you will use from the color palette, and type away,
e.g. 0 2 3 4 6 7 8 9 0 2 3 4 6 7 8.
The cursor advances right to left automatically with each keystroke. (Make sure you have Color View selected if you wish to see color in the cloth.)

Do the same in the weft color bar to enter weft colors.

Back to main index


(Change thread thickness)

How do I change thread thickness?

Setting thread thickness with the mouse

Click in the warp thickness and weft thickness bars to vary relative thread thickness. The warp thickness bar lies just above the warp color bar, and the weft thickness bar to the right of the weft color bar. A single click of the left mouse button doubles the thickness of a thread; another click after a one second pause doubles it again, and so on. A left button double click halves the thread thickness (the one second pause is needed above to distinguish two single clicks from a double click; usually a double click occurs within half a second.)
See also alternatives to double-clicks.
Click and drag across the warp thickness bar to double the width of a group of threads.

Setting thread thickness by keyboard

To set thread thickness by keyboard entry, first move the insertion point into the warp thickness bar, above the color bar. Starting from the threading, type Ctrl+Up to move into the warp color bar, and Ctrl+Up again to move into the warp thickness bar.

Thickness can be entered in units representing one quarter of a "normal" thread. A "normal" thread gives a square grid in threading or treadling drafts, and is represented by the numeric value 4. A double width thread is 8, triple width is 12, half width is 2, etc. Threads may be anything from one quarter to sixteen times normal (numeric range 1 to 64), although most cases will fall in the range 1-20, which is easily typed in (see Entering threading by keyboard).

PCW handles on-screen designs without specifying a predetermined sett in ends per inch, since this allows screen magnification to be varied freely (see View menu) as needed for close-up detail work or for overview of large areas. You can scale your designs to a precise sett in ends per inch when you print them.

Simple repetitive arrangements of thread sizes

The warp and weft menus each contain commands for setting thread widths in simple repetitive patterns.

Back to main index


(Inserting or deleting threads)

How do I add or remove threads from the middle of a draft?

Edit menu Insert or Delete menu items

Edit menu, Insert threads menu item or the Insert button [image] (Edit menu) allows you to insert single threads or blocks of threads into threading or treadling. You may also use the Insert key on the keyboard.

The Edit menu, Delete threads menu item or Delete threads button [image] (Edit menu) allows you to remove single threads or blocks of threads. You may also use the delete key on the keyboard.

When you click the button or press the key, a single thread will be inserted or deleted at the current insertion point. If a rectangle has previously been selected in the draft, a group of threads equal to the width of the selection rectangle can be inserted or deleted in one operation.

See also
Entering threadings by keyboard
How to select an area
and the effect of the Unlink button on insertion and deletion.


(Changing number of shafts and treadles)

Shafts and Treadles Dialog

Reach this dialog by going to the Tieups menu, then select Shafts and Treadles

This dialog allows the number of shafts and treadles to be set:
Fiberworks Bronze is limited to 16 shafts and 32 treadles, while Silver allows 64 shafts and 64 treadles.
Either type a number directly into the numeric boxes for shafts or treadles,or click and drag the sliders to the appropriate number.

Within each numeric box, there's a pair of spin buttons: Click the up or down button to increase or decrease the numeric value in single steps. Use the slider for coarse setting, and the spin buttons as a fine control for setting the exact number of shafts or treadles required.

In general, you should set the number of shafts first, and then set the number of treadles afterwards if necessary. As you adjust the number of shafts, you will see the number of treadles changing to match. If you then need to adjust the number of treadles, you can then change the treadle setting by itself without changing the number of shafts.

If your design is in liftplan mode, the treadle controls will not show in the dialog.


(change magnification)

How do I change the magnification of the design?

Zoomin and Zoomout

These menu items can be accessed from the view menu

However, the methods described below are generally more convenient:

Method 1, directly on the status bar:

Click the mouse on the zone marked Mag= roughly in the middle of the status bar.

A rectangle will pop up containing a slider. Click and drag the slider to a low numeric value to reduce magnification (zoom out). Drag the slider to a higher numeric value to move to a close-up view (zoom in).

Method 2, on the toolbar:

Click the zoom in (move in closer) or zoom out (reduce magnification) buttons in the toolbar.

Method 3, shortcut keys:

Press Alt + key to zoom in, or Alt - key to zoom out.

Back to View Menu
Back to main index


Select (edit menu)

How to select an area to move or copy

Select menu item and toolbar button

Select this item from the Edit menu.

Shortcuts: Toolbar:
unselected state
active state 		Keys: CTRL+R

Click this button to its active state (see above) or use the Select menu item set the mouse to draw a blue selection rectangle in threading, treadling or tieup. When Selection is active, drawing is disabled.

You can also draw selection rectangles in color bar or thickness bar. A Selection can't extend outside the boundaries of a single draft component, e.g. threading draft selection can't extend to the tieup or to the warp color bar. Also, selections can't be made in the cloth area.

Once a selection has been made, there are several possible actions you can take:

  • Cut or copy the selected area
    Cut or copied data go to the clipboard, and can then be pasted into a different part of the same design or into another design in PCW. The graphical view that you see on the screen can be pasted into other Windows programs that accept pasted graphics, e.g. MS Paint, MS Word etc. See Cut, Copy and Paste items in the Edit menu
  • Change the selection rectangle
    When you click the mouse in a drawdown or sketchpad which already has a selection rectangle, it has the following effects, which depend on where the cursor is relative to the rectangle, and whether or not the Control key is held down as you click:
    If the control key is not pressed, a click outside the selection rectangle boundary collapses the existing rectangle, and allows you to start a new selection rectangle elsewhere. The contents of the original selection rectangle remain unchanged.
    When the Control key is held down, a click outside the existing selection rectangle makes the selection rectangle enlarge to include the new mouse cursor location. This works even if you scroll the original rectangle off the screen, and makes it easier to select a large area without resorting to low magnifications.
    See also Extend selection menu item in context menus.
  • Drag and drop the contents of the selection rectangle
    If you click inside the existing selection rectangle, you can drag the rectangle contents to a new location.
    If you drag without holding down the Control key, the contents move and the area originally occupied by the rectangle is left empty.
    If you hold down the Control key as you drag, then the original contents remain in place and you drag a copy to the new location.
  • Other options

    You can also use a selected area with the following menu items: Transform (Edit menu) or Repeat (Warp or Weft menus) options.

See also Select All (Edit menu)

Back to Edit menu

Back to main index


repeat (warp and weft menus)

How to repeat elements of the design

Repeat dialogs and menu items

Reach this dialog by going to Warp or Weft menus, then select Repeat.

Use these dialogs to create repeats of the current threading or treadling.

Repeat selected block: When this is unchecked or grayed out, this means that the entire existing threading or treadling sequence will be repeated. If you have previously selected a part of the existing threading or treadling (i.e. a blue selection rectangle already exists when you opened this dialog), you can click a check mark into the box to repeat only the selected block.

Apply to lets you select whether the actual threading/treadling, color sequence or thickness sequence is repeated (or any combination of these).

There are seven repeat types (see below for examples of what happens). In addition you can select how many repeats are made; in weaving drafts, we include the original, so 4 repeats means the original plus 3 more. The number of threads that result is also indicated.

Examples of repeat modes in action

Direct repeat |
Mirror repeat (flipped left for right) | The last thread of each block overlaps the first thread of the next block (see * symbols above)
Rotated repeat (turned 180°) |
Inverted repeat (flipped bottom to top) |
Half drop repeat | The repeated unit steps up by half the height of the threading.
Advancing repeat step up by 1 | A thread that's shifted above the top shaft "rolls over" back to shaft 1.
Descending repeat | similar to advancing, but steps down at each unit.

The Step by number determins how much the repeating unit steps up or down in advancing or descending repeats.

When you click Apply now , you can preview the result without quitting the dialog. If you don't like what you see, click on Undo and try some other mode. If you click Apply now a second time without Undoing, the action is carried out on what you already repeated. If you started with 8 threads in your original block and ask for 4 repeats, your first click on Apply now gives you 32 threads; clicking Apply now a second time will give you 4 × 32 or 128 threads.

Repeating color sequences

You can make more complex repeating color sequences in the Repeat dialog than in the Warp Colors dialog.

First draw your basic repeating unit of colors thread by thread, then surround it with a selection rectangle.

Then open the Repeat dialog, put check marks in Repeat Selected Block and in Colors, and make sure Draft and Thickness boxes are empty. Repeat the unit the desired number of times.

A similar procedure can be used for complex patterns of thread thickness.


(Status Bar)

What does the status bar tell me?

The status bar runs across the bottom of the main PCW window, and is used to convey information about the current design. The left end of the status bar is an open strip used to display text messages, e.g. to explain the function of menu items.

The right end is divided into five zones. From left to right, these indicate:

  1. Magnification of the current design. The raised appearance of the rectangle means you can click on this to change magnification.
  2. Cloth display mode of the current design. The raised rectangle means you can click on this to select a different cloth display mode.
  3. The current location of the mouse cursor in drawdown coordinates, e.g. 30,1 means warp end 30, shaft 1. When a drawing or selection rectangle is open, the size of the rectangle is also displayed. The letter c shows when the cursor is in the color bar, e.g 12,c indicates warp end 12 in the color bar. The letter s indicates thread spacing or thickness, e.g. s,23 indicates weft pick 23 in the thread thickness zone.
  4. The range of ends and picks currently visible in the drawdown. E:1-188 means warp ends 1-188; P:1-137 means weft picks 1-137.
  5. A single # symbol indicates that the numeric keypad is set for single digit keystroke entry, e.g. type y for shaft 16
    Paired ## symbols indicates two digit keyboard entry, e.g. type 1 6 for shaft 16. The Scroll lock key selects double digit keystroke mode.

Back to main index


(How to save a design)

How do I save my designs?

The file menu includes the items Save and Save as.

Select Save or click the Save button [image] in the toolbar to resave a design using the existing filename. It is only necessary to resave a file if a change has been made and you wish to keep the altered version but not the original. If you open a file just to examine it but make no changes, the original file is still present on your computer.

If you close a design or close down the program after modifying a design but don't save it, you will get a prompt asking if you wish to save or not.

Select Save as if you wish to change the name of the file. Do this if you modified the design in some way but still wish to keep the unmodified version as well.

By default, files are saved in .dtx format which is unique to Fiberworks programs. The format is plain text and is readable if you happen to open a .dtx file in Notepad.

When you choose Save as, pay attention to the folder where the file is to be placed. This will help you retrieve the file later.

See also How to find the right folder to open or save files?

See also How to open and save wif files.

Back to main index


Organizing Folders

Folders and File Organization

When you save your designs where do they go?

If you don't know where they went, how will you find them again?
Any time you save a design, you should also decide where on your computer the file will be placed. If you ignore this, your files end up randomly scattered all over your hard drive. Your hard drive contains tens of thousands of files relating to all the different programs on your computer, so files easily get lost if you don't pay attention to where they are being placed. When someone says "the computer lost my files", the truth is that they lost them by not keeping track of where the files went.

Folders allow you to group related files together.
Instead of placing every file on the hard drive in one long list, the contents of the hard drive are subdivided into groups of files called folders, by analogy with the folders in an actual file cabinet. Folders are each identified by name so they can be found easily. Windows creates a number of standard folders for you: Program Files is where the actual application programs are stored, the folder called Windows contains all the components that make Windows itself work and Documents (Vista and Later) or My Documents (XP and earlier) is where you should store the work that you create on application programs such as Fiberworks or Microsoft Word or Photoshop etc.

Definitions
A file contains each item of the work you create, e.g. a weaving design, a photo, a letter etc. Files are indicated by icons associated with the program that created the file.
A folder, indicated by the icon [image], is a list of files. Folders can contain other folders as well as files.

Folders can contain more folders.
Your Documents folder (My Documents in Windows XP) may contain thousands of files, so to maintain organization, more folders can be created within the Documents folder. Each of those folders can contain work files or yet more folders. Windows creates a few standard folders such as Music, Pictures, email (My Pictures in XP). When you install Fiberworks, the installation automatically creates a folder called My Weaving within Documents, and then creates folders named My Designs and Samples within My Weaving. My Designs is where you should save your own designs, and Samples contains example design files provided by Fiberworks.

Partial list of folders in the Documents folder, as seen in Windows Explorer. Folders can be identified by the little yellow icon [image]. Pictures has a special icon to distiguish it. The [+] (XP) or [image] (Vista) symbol next to My Weaving indicates that it contains more folders. Click on this symbol to show the folders inside My Weaving.
The list has expanded to show My Designs and Samples, which are contained within My Weaving. The icons for My Designs and Samples are offset a little to the right to show that they are contained within My Weaving, and not part of the main list of folders in Documents. There's a [+] symbol next to My Designs, showing that it contains more folders, and a [-] symbol ( [image] in Vista) next to My Weaving. The [-] or [image] symbol can be clicked to collapse the list and hide My Designs and Samples.
My Designs has been expanded to show that the user has created two new folders, tied weaves and twills, and two additional folders, Double Two Tie and Summer and Winter within tied weaves. This scheme of folders within folders lets you create a variety of folders to cover all different categories of files, and to keep what you don't want to see out of sight. This set of folders could be a starting point for saving your weaving design files in an orderly mamner.

See also

How do I find the right folder to open or save files?
How do I create a new folder for my design files?

Back to main index


howtoexplore

How do I find the right folder to open or save files?

How to find your way around in your files

Finding a folder when you want to open or save a file

The folder where your file is going to be opened from or saved in appears at the top of the File Save Dialog. If this is the right folder, you can go ahead and type in the title for the file, and Click Save. If not, you need to navigate to the appropriate folder.

The File Open Dialog is similar, except the box is labelled Look in: instead of Save in:

Backtracking to a inner level folder

To see where the current folder lies, click on the control triangle on the right end of the Look in/Save in box. A list of folder locations will drop down. You should now see that the folder Summer and Winter is contained in the folder tied weaves, which is in turn contained in My Designs, and so on, all the way back to the Documents folder. If you see the folder that you want, e.g. My Designs, click on it, and it becomes the current location to open or save your files.

You can also easily backtrack from Summer and Winter to My Designs by clicking the shortcut button [image]. Each click takes you up one level in the folder chain. The first click takes you back to tied weaves and a second click, back to My Designs.

Finding a folder contained in the current folder

Folders contained in the current folder can be found in the list of files underneath the Look in/Save in box. Folders are marked with the folder icon [image], whereas files have different icons. Click on the folder you want and click Open. This may have to be repeated if the folder you want is two or more levels down. In the example below, follow steps 1-5 to reach twills from My Weaving.

Sometimes the folder you want is in a different branch.

In the example on the right, Summer and Winter can't be reached directly from Samples. The folder tied weaves lies inside My Designs, not Samples, so it's necessary first to backtrack to My Weaving, and then follow the other branch through My Designs and tied weaves to reach Summer and Winter.

Note:
The folders tied weaves, twills, Summer and Winter are shown here as illustrations, and are not automatically created when you install Fiberworks. See How do I create a new folder for my design files?

Using Windows Explorer

Windows Explorer (not to be confused with IE, Internet Explorer) allows you to examine the contents of your folders, to move files around, delete unwanted files and generally tidy up.

It is easily reached from the Start button at the bottom left corner of your screen. Select Documents, and a list of recently used files will appear. At the top of this list is another entry showing a folder named Documents. Click this, and Windows Explorer will open.

The components of the Windows Explorer Dialog

1. Title bar showing the location of the currently active folder (Windows XP only).
2. Location strip showing the currently active folder (when the dialog is wider, the full location can be shown). Buttons on the left allow you to backtrack, or return to a location previously visited.
3. Search box; type in the beginning of a file name, and Explorer will find all files that match.
4. Button strip. The Organize button drops down a menu that lets you cut, copy, paste or delete a file or groups of files, e.g. to cut from one folder so you can paste the files into another folder. You can also rename a file. The Views button controls whether files are shown as text or icons, the size of icons and how much additional information is shown with the file name.
5. Folders panel. This lays out your folders, and allows you to expand nested folders by clicking the [+] (XP) [image] (Vista) symbols, or to collapse them by clicking the [-] or [image] symbols to the left of the folder names.
6. Files panel. This lists the files or folders within the currently active folder (see (2) above). The picture shows Tiles view, which combines large icons and file details. See Organize in (4) above for other options.
indicates a folder that contains other folders. This icon only appears when large icons are in use.
Select files by clicking on them. If you hold down the control key as you click, you can select more than one file at a time.
7. Information panel gives you information about the currently selected file or folder in the Files panel.

See also

Folders and File Organization.
How do I create a new folder for my design files?

Back to main index


howtonewfolder

How do I create a new folder for my design files?

Starting in the File Save Dialog

First click the New Folder button as shown on the right. An entry for the new folder will appear in the list of files, and is contained within the currently active folder. While it is highlit in blue (as shown) you can then type in your name for the new folder. The words New Folder will erase themselves as soon as you start to type.

If you miss the blue highlight stage, you can right click with the mouse on the New Folder, and from the menu that appears, Select Rename. This will give you a second chance to type in your name for the folder.

If you want the new folder to appear alongside the currently active folder, rather than contained within it, you should click the backtrack button [image] once before clicking the New Folder button.

You can follow exactly the same procedure in the File Open Dialog, although there's less point since a new folder won't contain any files to open.

Starting in Windows Explorer

In Windows Explorer, navigate to the folder in which you want your new folder to appear, then click the Organize button. A menu will drop down, with New Folder as the first menu item.

Click, and the New folder will appear listed with the files. While it is highlit in blue (as shown) you can then type in your name for the new folder. The words New Folder will erase themselves as soon as you start to type. If you miss the blue highlight stage, first select the New Folder, then click the Organize button, but this time select Rename from the menu that appears. This will give you a second chance to type in your name for the folder.

In this example, My Designs was the active folder, so the New folder is contained in My Designs, alongside twills and tied weaves. To create a new folder that's contained in My Weaving to exist alongside My Designs and Samples, first select My Weaving in the folders panel on the left, and then click the Organize button and select New Folder from the menu.

See also

Folders and File Organization.
How do I find the right folder to open or save files?

Back to main index


(wif files)

How do I open and save wif files?

Wif or Weaving Interchange Format files allow designs to be transferred between different weaving programs, whereas the dtx format is unique to Fiberworks PCW.

To open wif files, go to the File menu, then select Open.

The Open File dialog will appear; at the bottom of the dialog is a box labelled Files of Type .

To open a wif file, click on the control button in the box labelled Files of type: in the File Open dialog. This will list the different kinds of file that can be opened. Select WIF files (*.wif) from the list displayed. Only wif files will then be listed in the dialog.

To save a wif file, select Save as from the File menu.

Click on the control button in the box labelled Save as type: in the dialog. Select WIF files from the list displayed. The extension ".wif" will be added automatically to the filename that you enter. You will be warned if you try to create a new file with an identical name to an existing wif file. However wif and dtx files can coexist with the same filename.

Back to How to Save

Back to main index


(open DES files)

How do I open DES files from older versions of PCW?

DES files were designed to allow long descriptive titles for designs in the era of MS-DOS which only permitted 8-letter filenames. Each file can contain a number of different designs. When you open the file, you see the list of designs.

To open .des files, go to the File menu, then select Open.

To open a DES file, click on the control button in the box labelled files of type: in the File Open dialog. This will list the different kinds of file that can be opened. Select PCW 3 Files (*.des) from the list displayed. Only DES files will then be listed in the dialog.

After you select a file from the list and open it, the list of designs within the file will then be displayed.

Current versions of Fiberworks PCW no longer save DES files. Individual designs that you open from DES files should be resaved in the newer .dtx or .wif formats. Select Save as from the File menu to save your files in either of these formats.

Back to main index


Printing

How do I print my design?

There are two printing options in the File menu.

Print Direct prints the design that's currently active on the screen, and makes it fill the printed page. Magnification is preset so that the design fits with standard margins.

Preview and Print gives you more control over the printout. It shows how the design will appear on the page, and allows you to select which design components are included in the printout, and set a precise number of ends per inch, set the size of margins etc.

In addition, Printer Setup allows you to select printer, paper size and paper orientation.

It is recommended that you should select any changes to paper size or orientation before starting to preview the printout.

Back to main index


threading chart

How do I print a threading chart?

Use the Page Setup dialog to print selected parts of a drawdown such as a threading chart.

Select Threading Only in the box at the top of the dialog. Check the Numeric box so that shaft numbers will be printed rather than just black squares in the draft. Check the box marked Color bars if you want the warp color sequence to appear in the printout. A long threading will print out in several rows on the same page. Adjust ends per inch so that the numbers in the draft are big enough to be clearly visible; in a threading chart this is more useful than trying to match your actual sett.

It might also help to set paper orientation to Landscape; this is done in the Printer Setup option from the File menu. It is recommended that any changes to paper size or orientation should be done before starting to preview the printout.

A sample threading chart:

Back to main index


Weave as drawn in (weft menu)

Weave As Drawn In menu item and dialog (Weft menu)

How to Tromp as Writ

Reach this dialog by going to the Weft menu, then select Weave As Drawn In.

Use this dialog to copy the threading sequence into the treadling.

Tromp as writ is another common term used to describe this process.

The dialog goes a little beyond the normal usage of this term and allows you to copy color sequence or thickness sequence, either independently or in combination.

A special button is provided to weave as drawn in overshot sytle, where the actual threading sequence is not reproduced in the treadling, instead the equivalent block sequence is used.


(Untitled)

How do I create a profile draft?

A profile draft resembles a normal drawdown with threading treadling and tieup. However, each square of the threading and treadling drafts no longer represents a single thread, but a block of threads that make up a given weave structure. Block Substitution (Tools menu) then allows you to expand each block with the desired weave structure to obtain the final complete threading and treadling sequences.

Creating a profile is easy - any design you create in the drawdown frame can be used as a profile draft.

Back to main index


(File menu commands)

File menu

The File menu includes the following menu items:

New | Creates a new drawdown.
Open... | Opens an existing drawdown.
Close | Closes an open drawdown.
Save | Saves an open drawdown using the same file name.
Save As... | Saves an open drawdown, and allows you to change the filename or to place the file in a different folder.
Preview and Print ... | Displays the design on the screen as it would appear printed. Formatting may be adjusted before printing.
Print Direct... | Prints a design in a format preset to fit one page.
Printer Setup... | Selects a printer and printer connection; use to select portrait or landscape paper orientation.
Preferences... | Allows you to choose standard settings for how the programs starts up and how it creates new drawdowns.
recently used files 1,2,3,4 | Use the numbers and filenames listed near the bottom of the File menu to reopen the designs that you closed most recently. Click on the name of the file that you want to reopen; the numbers can be used to select files by keyboard.
Exit | Exits Fiberworks Bronze.

Back to main index


(File New command)

New drawdown menu item

Select this item from the File menu

Shortcuts: Toolbar: Keys: CTRL+N

Use New Drawdown to create a new empty drawdown frame in Fiberworks.

You can start and work on several designs at one time, however if you have more than a few dozen designs open simultaneously, they may use up memory resources and slow down operation. Use the Window menu to switch among the multiple open documents.

You can open an existing drawdown file with the File Open menu item.

Back to file menu

Back to main index


(File Open command)

Open drawdown menu item

Select this item from the File menu.

Shortcuts: Toolbar: Keys: CTRL+O

Use Open Drawdown to open an existing drawdown file in a new window. You can open several drawdowns at once, however if you have more than a few dozen designs open simultaneously, they may use up memory resources and slow down operation. When you select Open Drawdown, the File Open Dialog will appear.

Fiberworks can open several different file types

For drawdowns, .dtx files are the normal files that belong to Fiberworks. If your Windows version is not set to display the file extension, the type will be listed in Folders as pcw.Document (use Details or Tiles view of the folder). These files can be opened by any of the following methods:

1) by selecting files in the File Open Dialog; if you hold down the Ctrl key as you click, you can select several files to open simultaneously

2) by double clicking on the file icon in Windows Explorer

3) or by dragging and dropping a .dtx file icon onto the PCW program icon or into an active Fiberworks program frame.

Fiberworks can open WIF files, Weaving Interchange format files that may have been created by a variety of different weaving programs, including Fiberworks.

Fiberworks can open DES files produced by older MS-DOS versions of Fiberworks.

The Window menu lists designs that are already open; use this to switch between active windows rather than using File Open to open a second copy of the same file.

You can create new designs with the New command.

Back to file menu

Back to main index


(File Open dialog box)

Reach this dialog by going to the File menu, then select Open Drawdown.

Shortcuts: Toolbar: Keys: CTRL+O

The following options allow you to specify which file to open:

Look in:
Click the control triangle [image] on the right of this box to open the list of accessible folders where you can look for files. If you can't find the file you are looking for, go here look in a different folder.

File Name
Specifies the file you want to open. Either type in the name of the file, or use the mouse to select the file from the list above the File name box. Files are listed with the extension you select in the Files of Type field.

Files of Type
Specifies the type of file you want to open: Fiberworks can open .dtx files, .wif files and .des files.

If you can't find the folder where you think your file is located, click on the Computer icon in the Recent Places bar on the left. This will give you access to all disk drives or memory sticks* available on your computer.
*also known as jump drives, thumb drives, USB drives etc.

Those buttons near the top right corner...

Vista/XP | Windows Classic
 |  | Back button: go back to the folder previously selected.
 |  | Up one level button: go back to the folder containing this folder.
 |  | New folder button: create a new folder within the current folder.
 |  | File details button: sets how file information is displayed. Click on the control triangle on the right to see the list of options: icons, simple list, list with details, tiles (icons plus details).

See also Folders and File Organization

Back to file menu

Back to main index


(File Save command)

Save menu item

Select this item from the File menu.

Shortcuts: Toolbar: Keys: CTRL+S

Use the Save menu item to save the active design to its existing name and folder location. When you save a design for the first time, Fiberworks displays the Save As dialog box so you can give your design a name. If you want to change the name or folder location of an existing design before you save it, choose the Save As menu item.

Fiberworks can save two different filetypes, .dtx and .wif. If you use Save, your design will be saved in whatever filetype was used previously. Use Save As if you wish to re-save a .dtx file as .wif, or save a .wif file as .dtx.

Back to file menu

Back to main index


(File Save As command)

Save As menu item

Select this item from the File menu.

Shortcuts: Keys: SHIFT+CTRL+S

Use the Save As menu item to save and name the active design. Fiberworks displays the Save As dialog box so you can name your design and set its folder location.

Fiberworks can save dtx and wif files

For drawdowns, .dtx files are the normal files that belong to Fiberworks. If your Windows version is not set to display the file extension, the type will be listed in Folders as pcw.Document (use Details or Tiles view of the folder).

Fiberworks also save WIF files, Weaving Interchange format files that are usable on a variety of different weaving programs, including Fiberworks.

To save a design with its existing name and folder location, use the Save command.

Back to file menu

Back to main index


(File Save As dialog box)

Reach this dialog by going to the File menu, then select Save As.

Shortcut: Keys: SHIFT+CTRL+S

The following options allow you to specify the name and location of the file you're about to save:

Save In:
Shows the folder in which the file will be saved. If this is not the correct folder, click the control triangle [image] on the right of this box to open the list of accessible folders where you can save your file.

File Name
This is where you type in the file name for your design. If the design has been saved previously, it will already have a file name in the box. If you click on Save, the current design will replace whatever was in that file previously. If you wish to keep both old and new versions of the design, type a new file name into the box. It can be a simple modification of the existing name, e.g. simpletwill and simpletwill2. Make your filenames descriptive - it will help you find your work when you want to retrieve it later.

Save As Type
Specifies the type of file that will be saved: Fiberworks can save .dtx files, and .wif files. The appropriate file extension, .dtx or .wif will be added to the filename.

If you can't find the folder where you want to save your file, click on the Computer icon in the Recent Places bar on the left. This will give you access to all disk drives or memory sticks* available on your computer. Do this if you open a file that's on your hard drive and want to save it on a memory stick* (or vice versa).
*also known as jump drives, thumb drives, USB drives etc.

Those buttons near the top right corner...

Vista/XP | Windows Classic
 |  | Back button: go back to the folder previously selected.
 |  | Up one level button: go back to the folder containing this folder.
 |  | New folder button: create a new folder within the current folder.
 |  | File details button: sets how file information is displayed. Click on the control triangle on the right to see the list of options: icons, simple list, list with details, tiles (icons plus details).

See also Folders and File Organization

Back to file menu

Back to main index


(File Close command)

Close menu item

Select this item from the File menu.

Shortcut: Keys: CTRL+F4

Use the Close menu item to close any window containing the currenly active drawdown. Fiberworks will remind you to save changes to your drawdown before you close it, if you have not done so already. If you close a drawdown without saving, you lose all changes made since the last time you saved it. Before you close an untitled document, Fiberworks will display the Save As dialog box and will suggest that you name and save the design.

Back to file menu

Back to main index


(File Print Preview command)

Preview and Print menu item

Select this item from the File menu.

Shortcuts: Toolbar: Keys: CTRL+P

Use this menu item to display the active design as it would appear when printed. When you choose this menu item, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. Very large designs may have to be divided into multiple pages, and this can be controlled through the Page Setup dialog that appears beside the preview.

The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and start or abort a print job. The image is generated at printer resolution, but must be rendered on the screen, which has a much lower resolution than the printer. This results in an inferior image on the screen. Don't be concerned, the printed image will be much better.

It is recommended that any changes to paper size or orientation should be done before starting to preview the printout. This is done using the Printer Setup menu item.

Back to file menu

Back to main index


page setup dialog (print preview)

Page Setup Dialog

Reach this dialog by going to the File menu and then select Preview and Print.

The dialog appears alongside the print preview window.

This dialog controls how the drawdown is laid out on the printed page and what parts of a design are included in the printout.

From the top working down:

  • Full Drawdown: different components of the design can be selected from this list for printing, for example a threading chart can be printed rather than the full drawdown.
  • Place title: each design has a title or filename which can be included at head or foot of the page or omitted altogether.
  • On-Screen View only: check this box if you only want the contents of the original drawdown frame visible on-screen frame to be printed; leave unchecked if you want the entire design to be printed.
  • Color bars: leave unchecked if you want the warp and weft color bars to be omitted from the printout.
  • Numeric: if checked, shaft and treadle numbers are printed rather than simple black symbols, provided scale is less than 25 ends per inch.
  • Notes: check to append the notes page to the printout.
  • Color use: check to append the warp and weft thread colors page to the printout.
  • Heddle counts: check if you wish to append the heddle counts page to the printout.
  • Set scale: choose one of the options from this list to set the size of the drawdown on the page. If you choose Set Scale, you can set the precise number of ends per inch in the box on the right. If you choose any of the Fit... options, the number of ends per inch is preset to make the drawdown fit and can't be adjusted directly.
  • Margins: These boxes control the space on the four margins of the page. You can adjust the margins to make small changes to the scale of the printout when using any of the Fit... options. Height and width are shown for information purposes, and can't be adjusted directly.
  • Pages across and pages down are shown for information purposes. If you choose a small number of ends per inch, the printout may be too large for a single page, and will automatically be divided up into to cover multiple pages. The background of the pages boxes changes colour to warning yellow and alarming red if a large number of pages will be needed. The total pages will be Pages across times pages down, 27 pages total in this example. That's why a warning is given!
  • Check the Page 1 only box if you only want the first page of a multipage printout. The printout starts at the corner with the tieup, and this can be seen in the preview.

Hints:

See also how to print a threading chart.
To print notes only, select Omit Design at the top, and check the Notes box; likewise the Color use box and the Heddle counts box if desired.
Your design may fit better if the paper is set to Landscape orientation. To do this, close the print preview, and go to the file menu, then select printer setup.

Back to main index


(print preview toolbar)

The print preview toolbar appears at the top of the print preview window and offers you the following options:

Print | Opens the Print dialog box to start a print job.
Next Page | Previews the next printed page.
Prev Page | Previews the previous printed page.
One Page / Two Page | Previews one or two printed pages at a time.
Zoom In | Takes a closer look at the printed page.
Zoom Out | Takes a larger look at the printed page.
Close | Returns from print preview to the editing window.

See also: The Page Setup Dialog allows you to adjust scale (ends per inch), page margins and which components of the drawdown are to be included. Adjustments can be made 'live' in the preview.

Important note: Printing quality is generally very much better than image quality on the screen. Grid lines in threading and treadling may appear irregular in the preview, but should be rendered perfectly in the actual printed copy. You can Zoom In to improve the appearance on screen, but even so, the magnification offered may not be sufficent to render a perfect image.


(Print dialog box)

Reach this dialog by going to the File menu, then select Print Direct, or from Preview and Print after you click the Print button in the Preview.

The following options allow you to specify how the document should be printed:

Printer
Displays the active printer and printer connection. Choose the Setup option to change the printer and printer connection. However, it is recommended that you do this from the Printer Setup menu item in the File menu before reaching this step

Properties | Allows you to access special features (if any) of the selected printer, e.g. color correction, print quality etc.
Print Range | Specifies the pages you want to print:
All | Prints the entire document.
Pages | Prints the range of pages you specify in the From and To fields.
Copies | Specifies the number of copies you want to print for the above page range.
Collate Copies | Prints copies in page number order, instead of separated multiple copies of each page.


(Print Progress Dialog)

The Printing dialog box is shown during the time that Fiberworks is sending output to the printer. The page number indicates the progress of the printing.

To abort printing, choose Cancel.


(File Print command)

Print Direct menu item

Select this item from the File menu.

Shortcuts: Keys: SHIFT+CTRL+P

Use this menu item to print a drawdown on a single page with minimum initial setup and without previewing. The scale of the printout (ends per inch) will be adjusted to fit the sheet of paper.

This menu item presents a Print dialog box, where you may specify the number of copies to be printed, the destination printer, and other printer-specific setup options.

See also

Preview and Print
Printer setup

Back to file menu
Back to main index


(File Print Setup command)

Printer Setup menu item

Select this item from the File menu.

Use this menu item to select a printer and a printer connection. This command presents a Print Setup dialog box, where you specify the printer and its connection, paper size and orientation.

The Print Setup dialog allows you to select alternative printers if any.

You can also select paper orientation and size:

Landscape means long side of paper is horizontal

Portrait means long side of paper is vertical.

It is recommended that any changes to paper size or orientation should be done before starting to preview the printout.

Back to file menu

Back to main index


(Print Setup dialog box)

Printer Setup dialog

Reach this dialog by going to the File menu, then select Printer Setup.

The following options allow you to select the destination printer and its connection.

Printer
Specifies the printer you want to use. Choose the default printer, or choose the Specific Printer option and select one of the current installed printers shown in the box. You install printers and configure ports using Control Panel.

Orientation
Landscape means long side of paper is horizontal
Portrait means long side of paper is vertical.

Paper Size
Specifies the size of paper that the document is to be printed on.

Paper Source
Specifies the paper source, because some printers offer multiple trays for different paper sources.

Properties
Displays a dialog box where you can make additional choices about printing, specific to the type of printer you have selected.

Network
Click this button to connect to a network location, assigning it a new drive letter.

Back to file menu

Back to main index


File Menu - Preferences

Preferences menu item

Select this item from the File menu

Use this menu item to make program settings that you wish to maintain from session to session, and to set up preferred start-up settings.

e.g. the number of shafts and treadles.

There are three groups of preference settings, Design settings, Print settings and Miscellaneous settings.

Back to File menu

Back to main index


(Default settings in the design)

New design settings and program defaults

Reach this dialog by going to the File menu, then select Preferences

The preferences dialogs allow you to adjust the initial settings used by the PCW program. The settings you choose in this dialog will be applied each time you create a New Drawdown (File menu). By default, a new design is created when you start PCW, unless you are opening an existing file.

Select your preferred initial number of shafts and treadles, and whether you want color or structure view on startup. Check the sinking shed box if that's what you want, otherwise leave it unchecked for rising shed (default).

If you want to change the number of shafts and treadles for a particular drawdown, but don't want to change the program defaults, use the Tieup menu, Shafts and Treadles menu item.

Existing files have their own internal settings for shafts and treadles, liftplan mode, sinking shed and will set themselves accordingly when you open the file.

Back to File menu

Go to Printing Preferences page

Go to Misc. Settings Preferences page

Back to main index


(Printing preferences and defaults)

Reach this dialog by going to the File menu, select Preferences and then click the Initial Print Settings tab.

The settings you choose in this dialog will be used as initial settings when you do preview and print (File menu). Choose whether you print at a present number of ends per inch, (use the Set scale option), or whether the design is made to fit the page.
When you print a drawdown, you will still be able to change settings any way you need using the page setup dialog which appears alongside the preview. The initial setting you make here represent a common starting point for the preview.

Fit page limits printing to a single page, and sets the scaling as needed.
Fit width uses the width of the page, but may run to more than one page if the design is tall and narrow.
Fit height uses the height of the paper, but may run to more than one page if the design is too wide.

If Numeric if possible is checked, then threading, tieup and treadling will be drafted with numbers instead of solid black squares. The limiting factor is the size of font that is readable, so numbers won't appear if the set is finer than 25 epi.
If Fill page if possible is checked, a long narrow print out will continue on the same page if there is room. This is useful for threading or treadling charts.

Back to View menu

Back to Design Preferences page

Go to Misc. Settings Preferences page

Back to main index


(Miscellaneous preferences)

Miscellaneous settings

Reach this dialog by going to the File menu, select Preferences and then click the Misc. Settings tab.

The settings you choose in this dialog will be applied to the operation of the PCW program as a whole.

Keyboard layout

If you are using a keyboard other than the standard USA/Canada/UK layout, select from the list of countries. This will adjust the keyboard response for different national keyboard layouts so that shafts and treadles can be typed in according to the special numeric keyboard layout used in PCW.

Normal USA/Canada/UK layout
Germany/Switzerland layout

Recently used files

You can set how many recently used files are listed at the bottom of the File menu. This makes it convenient for reopening files that you are currently working on from one session to the next.

You can also choose whether PCW starts up with a blank new drawdown or by reopening the last file on the screen in your previous session. Check the box Reopen most recent file if you want PCW to always reopen the last active file when you start up.

Mouse action

Lastly, you can choose between two modes of mouse action.
If you choose Left double click erases:
  • One click of the left mouse button lets you draw in the threading etc, apply the main active color in warp or weft, or double the thread thickness.
  • Double click of the left mouse button (or Shift + single left click) lets you erase in the threading, apply alternate active color or halve the thread thickness.
  • One click of the right mouse button makes popup menus appear.
If you choose Right click erases:
  • One click of the left mouse button lets you draw in the threading etc, apply the main active color, or double the thread thickness.
  • One click of the right mouse button lets you erase in the threading, apply alternate active color or halve the thread thickness.
  • Shift + single right click makes popup menus appear.

The first mode conforms to standard Windows behaviour. However, some people have difficulty with double clicks; the second mode avoids double clicks, and makes it more convenient to switch between drawing and erasing.

See also:
Alternatives to double clicks

Back to File menu

Back to Design Preferences page

Back to Printing Preferences page

Back to main index


(Double click and Alternatives to double click)

A double click consists of the sequence click-release-click on a single mouse button, usually the left button, within an interval of about half a second, without moving the mouse pointer. The Windows Control Panel for the mouse has a setting which allows you to adjust and test the double click interval to suit your own needs.

Some people find double clicking awkward (not moving the mouse pointer while you try to double click is particularly awkward). To avoid this problem, PCW offers a couple of alternatives:

A) Hold down the shift key while clicking the mouse:

PCW will then handle a single click as if it was a double click.

B) Use a single right mouse click instead of a left double click:

To set up PCW for this alternative behaviour, go to the View menu, and select Preferences. In the dialog, then select the Miscellaneous tab, where you can choose which mouse behaviour you prefer:

Mouse mode | To Draw in threading etc or apply main active color or double thread thickness | To Erase in threading etc or apply alternate color or halve thread thickness | To make Popup menus appear
Normal | Left single click | left double click or shift+left single click | right single click
Alternative | Left single click | right single click | shift+right single click

Back to main index


(File 1, 2, 3, 4 command)

Recently used file list (File menu)

Recently used design files are listed at the bottom of the File menu, and provide a quick way to resume work on an on-going project. Click on the required filename,or type the number next to the filename to reopen the file.

You can change the how many files are listed here by going to File, Preferences, then select the Miscellaneous tab on the Preferences Dialog.


(File Exit command)

Exit menu item

Reach this item from the File menu.

Shortcut: ALT+F4

Use this menu item to end your Fiberworks session. As a rarely used alternative, you can use the Close command on the application Control menu or, more conveniently, the Close button at the top right corner of the Fiberworks main frame.

Fiberworks will remind you to save any unsaved designs before disappearing.

The Close menu item on the file menu closes the currently active design, not the whole Fiberworks program.


(Edit menu commands)

Edit menu

The Edit menu includes the following menu items:

Undo | Reverse previous editing operation.
Cut | Deletes data from the document and moves it to the clipboard.
Copy | Copies data from the document to the clipboard.
Paste | Pastes data from the clipboard into the document.
Transparent Paste | Toggles between opaque and transparent mode of pasting; only applies to tieup, liftplan.
Transform... | Modify contents of a blue selection rectangle. Disabled if no selection rectangle exists.
Drawing mode | Select a mouse drawing tool.
Select | Set mouse to outline a blue selection rectangle. Drawing is disabled while the selection tool is in use.
Select All... | Select complete components from the design, e.g. threading, treadling, tieup, color palette etc.
Pickup Color | Allows you to reselect a working color already present in warp or weft.
Copy Image | Copy the drawdown as a graphic image to the clipboard for pasting to other programs.
Insert | (Drawdown only) Inserts additional threads or treadles at insertion point or in blue selection rectangle.
Delete threads | (Drawdown only) Remove unwanted threads or treadles at insertion point or marked in blue selection rectangle.
Unlink | Toggle controlling how insertion or deletion affect the warp and weft.

Back to main index


(Undo/Can't Undo command (Edit menu))

Undo menu item

Select this item from the Edit menu.

Shortcuts: Toolbar: Keys: CTRL+Z

Use this command to reverse the last editing sequence (up to 31 steps). Each design window maintains its own list of items to undo, independent of other windows.

The following actions can't be undone:

  • Closing a window without saving
  • Saving one design using the filename belonging to another.
  • Block substitution (but the profile draft is preserved unchanged in another window).
  • Creating a namedraft (but any previous contents of the drawdown are preserved in another window).

When there is nothing to undo, the Undo menu item and toolbar button are disabled (grayed out). This may be because no substantive changes have happened or the undo command has retraced all 31 steps.


(Cut command (Edit menu))

Cut menu item

Select this item from the Edit menu.

Shortcuts: Toolbar: Keys: CTRL+X

Use this menu item to remove the area enclosed by the blue selection rectangle from the design and put it on the clipboard. This menu item is disabled (grayed out) if no blue rectangle is currently selected.

Cutting data to the clipboard replaces the contents stored there previously. The new contents of the clipboard can then be pasted elsewhere in the same design, to another design open in PCW, or to any other Windows program that accepts pasted graphics, e.g. MS-Paint or MS-Word.

See also Copy, Paste, Transparent Paste, How to select.


(Copy command (Edit menu))

Copy menu item

Select this item from the Edit menu.

Shortcuts: Toolbar: Keys: CTRL+C

Use this menu item to copy the area enclosed by the blue selection rectangle from the design onto the clipboard. This menu item is disabled (grayed out) if there is nothing currently selected (no blue selection rectangle) in the design).

Copying data to the clipboard replaces the contents stored there previously. The new contents of the clipboard can then be pasted elsewhere in the same design, to another design open in PCW, or to any other Windows program that accepts pasted graphics, e.g. MS-Paint or MS-Word.

See also Cut, Paste, Transparent Paste, How to select.


(Paste command (Edit menu))

Paste menu item

Select this item from the Edit menu.

Shortcuts: Toolbar: Keys: CTRL+V

Use this menu item to insert a copy of the clipboard contents at the insertion point in a drawdown (try to ensure the insertion point is located where you want the paste to occur). The easiest way to position the insertion point where you want it placed is to click the mouse at that spot. After pasting, the insertion point advances itself, so that you can paste repeatedly.

The pasted contents float inside a blue selection rectangle, and can be moved into the desired position by dragging.

  • Click the mouse inside the blue rectangle and drag to the desired location.
  • Click the mouse outside the blue rectangle to set the pasted contents in place. Selecting a different drawing tool also sets the pasted contents in place.

Pasting into a draft such as a threading overwrites existing data, and does not push it aside. If you paste into the middle of an existing threading, you may need to prepare a gap to accept the pasted block.

You may copy or cut from a threading and paste into a treadling, or vice versa, by placing the insertion wherever you want the paste to occur. Likewise, you can copy from warp colors or warp thickness into weft colors and weft thickness respectively, so long as the type of data being transferred matches the destination. You can't paste a threading into a color sequence or vice versa, because the types of data concerned are mismatched.

When you copy a color sequence from one design and paste into another design, the color palette may be adjusted to include the pasted colors.

There is no preset insertion point in the sketchpad, and paste places the contents in a floating rectangle that can be dragged into position.

This menu item is disabled (grayed out) if the clipboard is empty or contains data that does not match the location of the insertion point.

See also Cut, Copy, Transparent Paste, How to select.


Transparent paste (edit menu)

Transparent Paste menu item

Select this item from the Edit menu.

Shortcuts: Toolbar:
off state
on state 		Keys: CTRL+B

This menu item can be toggled to on or off states (off is the default). Select the state you need, and then use the normal Paste tool. When it's in the off or opaque state, pasted data completely covers over whatever was underneath, in both black and white areas. When it's in the on or transparent state, only the black areas cover, whereas white areas allow whatever was underneath to remain in place.

Transparent paste only applies to tieup, treadling and sketchpad (the sketchpad is a feature of Silver only). Pasting into threading or into color bars always covers over the original contents,

See also Paste.


transform (edit menu)

Transform menu item

Select this item from the Edit menu.

Use this menu item to manipulate the area inside the blue selection rectangle, which may be in any component of threading, treadling, tieup or sketchpad. You should select the rectangle to be transformed before going to the transform menu item.

The Selected area can be reversed, rotated, inverted, shifted (the contents of selected rectangle move step-by-step across in the draft) or cycled (the contents of the selection are shifted inside the box).The direction of the Shift or Cycle movement can also be specified as Up, Down, Left or Right.

Additional options (turns to left or right, change face) are available in a Tieup or Liftplan.

Smear and echo are features available in the sketchpad only (Fiberworks Silver).

Smear shifts the selected object one step in any specified direction, and redraws it superimposed on the original. This may be useful for creating shaped masks for network drafting.

Echo shifts the object by two steps and redraws it superimposed on the original. Examples below show the effect of smear and echo to the right.

See also
How to select.


Drawing mode (edit menu)

Drawing mode popout menu

Select this menu from the Edit menu

The Drawing mode menu offers the following items in the Drawdown:

  • Straight draw
  • Point draw
  • Line draw
  • Freehand
  • Network (Silver only)
The drawing tool can also be selected by clicking the buttons indicated above in the toolbar. These tools set the drawing mode when the mouse is dragged in threading, treadling or tieup drafts.

When a drawing tool is currently selected, its toolbar icon will appear depressed [image].

Drawing mode is disabled while the Selection rectangle tool is selected [image]; click on any drawing tool to revert to drawing mode.

Straight Draw | Drag out a rectangle in threading, tieup or treadling; the rectangle will fill itself with diagonal lines. There is no need to try to trace these diagonals as you drag. The contents of the rectangle remain fluid until you release the mouse button; the diagonals will adjust themselves as you make the rectangle taller or shorter, wider or narrower.
Point Draw | Drag out a rectangle in threading, tieup or treadling; the rectangle will fill itself with points. The same occurs in treadling, but turned 90o.
Line Draw | The rectangle fills itself with a single stepped diagonal line. This is more useful for profile drafts than normal drawdowns.
Freehand Draw | Set mouse to draw freehand. The line follows the path of the mouse pointer as you drag. This is more useful for profile drafts than normal drawdowns.
Network Draw | (Silver only) Set mouse to draw on a 1:3 network, shown as gray diagonal lines. The line follows the path of the mouse pointer as you drag, but only draws on the network square on or above the actual mouse pointer position.

You may click grid squares one by one in any of these modes. A single click marks a grid square black; double click* clears the square, and marks it white. You may also click in warp or weft color bar to set warp or weft colors, or in the thickness bar to adjust warp thickness or weft thickness. Single click doubles a thread's width, double click* halves thread width.

*There are couple of ways to avoid using double clicks: see alternatives to double click

See also:
 Drawing tools in the sketchpad (silver only).
How do I draw a threading, tieup, treadling.


straight draw tool (edit menu)

Straight draw tool

Select this item from the Drawing Mode submenu of the Edit Menu

Toolbar Shortcut:

To draw, simply click down at the start of the intended threading, and drag out a rectangle. The rectangle fills itself with straight draw. There is no need to trace the diagonal lines or to click one square at a time (but you can if you wish to). So long as you hold the mouse button down, you can lengthen or shorten the rectangle or change the height of the rectangle.

You can make the opposite diagonal by starting at top right and dragging towards the bottom left. You can also drag from left to right.

The same method applies to tieup and treadling drafts.

If you start the operation with a double click rather than single click, the drag operation erases instead of drawing.

See also How do I draw a simple threading?


point drawing tool (edit menu)

Point draw tool

Select this item from the Drawing Mode submenu of the Edit Menu

Toolbar Shortcut:

To draw, simply click down at the start of the intended threading, and drag out a rectangle. The rectangle fills itself with point draw. There is no need to trace the chevrons or to click one square at a time (but you can if you wish to). So long as you hold the button down, you can lengthen or shorten the rectangle or change the height of the rectangle.

You can make the chevrons point down by starting at top right and dragging towards the bottom left. You can also drag from left to right.

The same method applies to tieup and treadling drafts.

If you start the operation with a double click rather than single click, the drag operation erases instead of drawing.

See also How do I draw a simple threading?


Free hand drawing tool (edit menu)

Freehand draw tool

Select this item from the Drawing Mode submenu of the Edit Menu

Toolbar Shortcut:

To draw, simply click down at one end of the desired line, and draw in the desired shape. Unlike straight, point and line draw, you should trace out the shape of the intended line. So long as you hold the button down, you can lengthen or shorten the line. You don't have to click individual squares one by one (but you can if you wish to).

The same method can apply to tieup and treadling drafts.

Since freehand draw can place adjacent ends on the same shaft, freehand draw is used mostly for profile drafts, or can be used to apply a network after drawing, see Warp menu, Redraw on Network, Weft menu, Redraw on Network.

If you start the operation with a double click rather than single click, the drag operation erases instead of drawing.

See also How do I draw a simple threading?


line drawing tool (edit menu)

Line draw tool

Select this item from the Drawing Mode submenu of the Edit Menu

Toolbar Shortcut:

To draw, simply click down at one end of the desired line, and drag out a rectangle. The rectangle fills itself with a line from corner to corner. There is no need to trace the line or to click one square at a time (but you can if you wish to). So long as you hold the mouse button down, you can lengthen or shorten the line or change its height.

Since line draw can place adjacent ends on the same shaft (basket weave), line draw is used mostly for profile drafts.

The same method can apply to tieup and treadling drafts.

If you start the operation with a double click rather than single click, the drag operation erases instead of drawing.

See also How do I draw a simple threading?


(Untitled)

Network draw tool

Select this item from the Drawing Mode submenu of the Edit Menu

Toolbar Shortcut:

This tool is only available in Silver or Silver Plus.

To draw, simply click down at one end of the desired line, and draw in the desired shape. Unlike straight, point and line draw, you should trace out the shape of the intended curve. However, the marked squares don't follow the drawn curve exactly, but instead land on the next higher network line at each thread. The network lines are shown in gray in this diagram, although they are not visible as such in the actual design.

So long as you hold the button down, you can lengthen or shorten the line.

The same method can apply to treadling drafts, but not tieups.

As an alternative to drawing directly on the network, you can draw a curve with the freehand tool, and then apply Warp menu, Redraw on Network, Weft menu, Redraw on Network.

If you start the operation with a double click rather than single click, the drag operation erases instead of drawing.

See also How do I draw a simple threading?


Select all (edit menu)

Select All menu item and dialog

Select this item from the Edit menu.

Shortcuts: Keys: CTRL+A

Use this dialog to select the entire contents of the sketch pad, or the entire contents of any of the draft components that make up a drawdown, so that you can paste into another design.

The drawdown may be subdivided into its components, threading, tie up and treadling, associated warp and weft colors and thicknesses, plus the color palette associated with the design.

These components may be selected individually, so that all in this context means the entire contents of the threading for example, not necessarily the entire drawdown, and you may omit components that you don't mark off in the dialog. Once selected, you may copy the marked components to the clipboard, or simply delete the selected items.

  • This method is the only way to copy a threading plus the associated colors and thicknesses in one operation.
  • The dialog also provides a way to copy the color palette from one design and paste it into another design.
  • (Silver only) If you are setting up an interleave paste, select all allows you to copy both threading and treadling components so that the interleaving can be done in one operation.

Note

When you paste after doing Select All/Copy, the paste operation will replace the entire contents of the corresponding component in the destination design, e.g. Select All threading from one design will allow you to paste, and thus replace the entire threading in another design. After Select All/Copy, Paste becomes Paste All.

See also

Select (Edit menu), can be used to copy partial components e.g. selected blocks from a threading or treadling; when you paste, the pasted contents add to what's already there rather than replacing them.

Back to edit menu
Back to main index


color pickup (edit menu)

Color Pickup button and menu item

Select this item from the Edit menu.

Shortcuts: Toolbar:
inactive state
active state

Use this button or menu item to select a color that already exists in the design, useful when you do not remember which color patch in the color palette represents that exact color.

  1. Click once on the color pickup tool [image] in the toolbar, so the button shows the active state. Drawing mode is temporarily suspended.
    -
  2. The mouse cursor will now appear as a medicine dropper when you run it over the drawdown. Position the medicine dropper on a thread of the color you wish to select from in the design, either in warp or weft color bars or in the cloth itself.
    -

  3. One click puts the selected color up in the main color square above the color palette, and a double click or right click* puts the selected color into the alternate color square. Your previous drawing mode is now restored

* Whether you use double click or right click depends on how you have your mouse set to erase or to draw in the alternate color. See Alternatives to double click, and Preferences dialog, Miscellaneous panel.

See also How do I add color to a draft.


copy image (edit menu)

Copy Image menu item

Select this item from the Edit menu.

Shortcuts: Keys: CTRL+M

Use this menu item to copy the visible contents of your drawdown window into the clipboard as a standard Windows graphic bitmap. This can be pasted into most programs that display graphics, e.g. Microsoft Word or Windows Paint. Copy image does not require an area to be selected, and copies the entire visible image (minus the window frame) in the active drawdown window. You can resize the drawdown window or change magnification to select the area you wish to copy.


Insert (edit menu)

Insert button/menu item

Select this item from the Edit menu.

Shortcuts: Toolbar: Keys: Insert

Use this button [image] or menu item to open up a gap so extra threads can be inserted in threading or treadling,or extra treadles in the tieup.

If a blue selection rectangle exists when you click the button or press the Insert key, a gap with the same number of threads as the selection is created. If a selection rectangle does not exist, only a single blank is added at the current insertion point. (You could click the button four times to create a four thread gap.)

See also Unlink (Edit menu).


Delete (edit menu)

Delete threads button/menu item

Select this item from the Edit menu.

Shortcuts: Toolbar: Keys: Delete or backspace*

Use this button [image] or menu item to remove threads from threading or treadling, or to remove a complete treadle from the tie up. In each case, the resulting blank thread or treadle disappears and the gap closes.

If a blue selection rectangle exists when you click the button or press the delete key, all threads or treadles covered by the selection rectangle will be removed. If a selection rectangle does not exist, only a single thread is removed at the current insertion point.

* The backspace version of the keystroke backs up the insertion point by one space before removing the thread.

See also Unlink (Edit menu).

Note also the - key (minus), which blanks out a thread or a single black square in the tieup or liftplan, but does not close up the gap.


(Unlink button)

Unlink button/menu item

Select this item from the Edit menu.

Shortcuts: | Toolbar: | linked state | unlinked state.
Keys: | CTRL+L

The unlink button toggles between two states:

  • default inactive or linked (button appears raised, menu item unchecked)
  • active or unlinked (button appears depressed, menu item has a check mark).

Each thread in the warp or weft has three properties, shaft or treadle number, color and thickness.

These properties are normally linked, so that when a warp thread is inserted or deleted, threading, warp color bar and warp thickness bar all display the insertion or deletion in unison. The same would apply when you insert or delete a weft thread: treadling, weft color bar and weft thickness bar would all shift together.
This occurs in the inactive or raised or linked state of the button. In the linked state, it makes no difference whether the insertion point is in the threading, the warp color bar or the warp thickness bar.

On occasion, you may wish to insert or delete in the threading without changing the warp colors and warp thicknesses.

If you depress the unlink button [image], this allows you to treat shaft number, color and thickness independently. In the example on the left, the insertion point is in the threading. Insertion or deletion acts only on the threading sequence and has no effect on the corresponding warp colors and and warp thicknesses.

In the last example, the insertion point is in the warp color bar; if you insert or delete in the unlinked state, only the warp colors are affected while warp thicknesses and threading sequence remain unchanged. Note that the solitary wide thread stays aligned with the warp end on shaft 8.

After use, the unlink button stays active until you click it again.


(View menu commands)

View menu

The View menu includes the following menu items:

Zoomin | Increase magnification, make threads appear larger.
Zoomout | Decrease magnification; show more threads on the screen.
Color view | Toggle between color and structure view of the drawdown.
Back view | Toggle between front and back view of the drawdown.
Toggle Interlacement | Toggle between interlacement and conventional drawdown.
Grid in cloth | Show or hide a grid in the drawdown.
Compact | Make the threading and treadling half height to make more room for the cloth diagram.
Expand | Make threading, tieup and treadling double height for better visibility.
Toolbar | Show or hide the toolbar.
Status Bar | Show or hide the status bar.

Back to main index


colorview (view menu)

Color View menu item

Select this item from the View menu.

Shortcuts: Toolbar:
show structure
show color 		Keys:

\

Use this menu item to switch between color view and structure view of the cloth in your design.

Color view is seen when the color view button is in the pushed in state [image]; the cloth can be represented as a normal color drawdown, interlacement view, rep/warp-faced, weft-faced, bound weave or double weave.

(See Cloth display modes.)

Structure view is seen when the color view button is in its up state [image] and depicts the weave structure without regard to the color of individual threads. There are two possible conventions for structure view:
Warp Drawdown represents a warp thread on top in black and a weft thread on top in white.
Weft Drawdown represents a weft thread on top in black, warp in white.


back view (view menu)

Back View menu item

Select this item from the View menu.

Shortcuts: Toolbar:
show front
show back 		Keys:

/

Use this menu item to switch between front and back views of the cloth. However, the threading order is not reversed by this menu item, so you actually see the mirror image of the back view rather than the true back view. Bear this in mind if the weaving contains a figure whose orientation is critical.


toggle interlacement (view menu)

Toggle Interlacement button and menu item

Select this item from the View menu.

Shortcuts: Toolbar:
inactive state
active state.

When this button or menu item is in the active state, color view shows the interlacement rather than the regular 'flat' version of the color cloth diagram.


grid in cloth (view menu)

Grid View menu item

Select this item from the View menu.

Shortcuts: Toolbar:
omit grid
show grid

Use this menu item to show or omit a grid in the cloth diagram of the drawdown (visible in structure or normal color drawdown only).


compact (view menu)

Compact and Expanded buttons and menu items

Select these items from the View menu.

Shortcuts: Toolbar:
Compact button
Expand button

Use the Compact view menu item to display threading, tieup and treadling at half height and width. This is especially useful when the number of shafts and treadles is large and threatens to squeeze the cloth draft off the screen. Compact view only acts at magnification levels 8 - 16

Use the Expanded view menu item to display the threading tieup and treadling at double height and width. The expanded drafts make it easier to edit, especially in the tieup when overall magnification is low. Expanded view only acts at magnification levels 1-8.


(View Status Bar Command)

Status Bar menu item

Select this item from the View Menu

Use this menu item to display and hide the status bar, which describes the action to be executed by the selected menu item or pressed toolbar button, and displays information about the current cursor location. A checkmark appears in the View menu next to the menu item when the status bar is displayed.

See Status Bar for help on using the status bar.


(View Toolbar command)

Toolbar menu item

Select this item from the View menu

Use this menu item to display or hide the toolbar, which includes buttons for some of the most common actions in Fiberworks, such as File Open. A checkmark appears next to the menu item in the View menu when the toolbar is displayed.

The toolbar is shown here with explanations of what each button does. Within the program, if you rest the mouse cursor on each button for a couple of seconds, a description of that button should pop up.

Toolbar items shown here marked with • represent actions that take place when you click the button.

Toolbar items marked with • represent toggles, i.e. can be turned on or off, that do nothing immediately but affect other actions. For example Transparent Paste determines how Paste behaves; Unlink determines how Insert and Delete behave.

Toolbar items marked with • represent toggles that change how the drawdown is displayed. For example the Back button shows the back of the sample. Click again to revert to normal mode.

Tool bar items marked by the open oval are switches, i.e. only one item of the group can be selected at any time. They affect what the mouse does when you click within the drawdown, e.g. the style of drawing.


Cloth menu

The Cloth menu offers the following menu items which affect the display of cloth and its colors:

Normal Cloth | Show the color drawdown of the cloth in a flat simple grid format.
Interlacement | Show color drawdown with warp and weft threads delineated.
Rep/Warp-faced | Show cloth as a warp faced or rep weave.
Weft faced | Show cloth as a weft faced weave.
Bound Weave | Show cloth as tightly beaten weft faced, e.g. boundweave.
Double Weave | Show cloth as double weave.
Warp Drawdown | Show structure drawdown of cloth with warp threads over in black, weft in white.
Weft Drawdown | Show structure drawdown of cloth with warp threads over in white, weft in black.
Select Color Palette... | Select one of the preset color palettes.
Modify Color... | Modify the current active color.
Notes and Records... | Keep text notes on the design; automatically generate records of heddle counts and color use in warp or weft.

Back to main index


Cloth display modes

Menu items Normal Cloth, Interlacement, Rep/Warp-Faced, Weft Faced, Bound Weave, Double Weave.

Select these menu items from the Cloth menu, or from the popup menu on the status bar.

(See also the display modes that show cloth structure.)

The Cloth menu contains a variety of color display modes for the cloth portion of the drawdown. The specialized modes such as double weave do not convert your design into double weave, but if your design contains double weave structure, display it more realistically. Choose the mode that is appropriate for the weave structure that you are working on:

Normal cloth fills a simple square grid to show the color of the thread, warp or weft, that is visible on the cloth surface.

Interlacement does the same, except that the thread direction is delineated. This is probably the most generally useful view of cloth color.

Double weave displays conventional double weave structures so that only the surface layer is visible. If there are too many deviations from normal double weave, the display reverts to interlacement.

Rep/Warp faced emphasizes the warp threads by making them the weft. This option does not create a rep type weave, it's up to you to do so when you prepare you design, but this option does display a rep or warp faced weave to best effect. An appropriate design should have no long weft floats, and may used thick weft, or alternating thin and thick weft.

Weft faced or Bound Weave emphasizes weft threads and makes them hide the warp. Warp is normally wore widely spaces, and weft beaten in very tightly. Weft faced display is also useful for complementary weft structures such as polychrome or taquete.

Another way to select the cloth display mode

Just to the right of the magnification indicator on the status line there's a box that indicates the current cloth display mode. Click on this box to display a list of modes, then select the mode you require from the list.


Structure views, cloth menu

Warp Drawdown and Weft Drawdown

Select these items from the Cloth Menu

Use these menu items to cause the view of the cloth to display as Warp Drawdown or as Weft Drawdown. These views show the structure of the weave, not the color of the threads in the cloth. (See also the modes that display cloth in color).

Warp drawdown displays black wherever warp threads are on top, and white wherever weft is on top. Weft drawdown displays black wherever weft threads are on top, and white wherever warp is on top. The examples shown are for rising shed.

These views display when the Colorview button is not selected [image], otherwise a color view of the cloth is displayed. Selecting these items from the menu automatically de-selects the Colorview button.


Select palette (cloth menu)

Select color palette menu item

Select this item from the Cloth Menu

PCW provides a selection of standard palettes. Click the control button shown to view the list.


(Modify colors dialog)

The Modify colors dialog and menu item

Reach this dialog by going to the Cloth Menu, then select Modify Color.

Shortcuts: Click on either of the two active color squares shown at the top of the Color Palette, or right click* any color chip in the color palette.

The Modify Colors dialog allows you to adjust the hue, saturation and brightness of any color. The selected color is shown in a pair of rectangles at the top, in its modified state on the left and the original color on the right.

Hue, saturation and brightness are represented by three horizontal scales, each with a moveable white bar. Click the mouse to the point where you wish to place the bar, or click on the bar and drag it to the desired position. Each scale also has a numeric value.

The hue scale has 360 steps, corresponding to 360° around a color wheel, with red at 0°, yellow at 60°, green at 120°, cyan at 180°, blue at 240°, magenta at 300°, returning to red at 360°. Click on the spin buttons next to the number for fine control of the setting.
The saturation scale has 100 steps from pure white (0% saturation) to the pure hue at 100%.
The brightness scale also has 100 steps, from pure black at 0% brightness to 100%.

To get neutral grays, set saturation to 0% and select the desired brightness

The RGB (red-green-blue) content of the mixture is shown at the bottom (values 0-255 for each primary), and RGB values can be set directly by means of the spin buttons next to each number.

If you don't like the the new color, click the Revert button to restore the modified color to its original state.

You can select another color to modify at any time by right clicking* on its color patch in the color palet, or by using the Color Pickup tool in the current design. There is no need to close this dialog in order to work on other colors in the palet.

* Shift Right click if you use right click to erase and to apply the alternative active color.


hsb color model

Hue Saturation and Brightness

Used in Notes and Records Dialog and in Color Modify Dialog

The Hue, saturation and brightness model is one of several systems for precise numerical description of a color, in particular for color on an opaque surface. Each color is expressed as three numbers:

Hue is based on position on the wheel, pure red being 0. Hue ranges from 0 to 359, corresponding to angle in degrees around the wheel.

Saturation is the second number and represents the purity of the hue relative to white. Saturation ranges from 0 for white to 100 for the pure hue.

Brightness is the third number, and represents the intensity of the color relative to black. Brightness ranges from 0 for black to 100 for maximum color intensity.

See also Red-Green-Blue color model.


red-green-blue color model

Red-Green-Blue (RGB) system of color description

Used in Notes and Records Dialog and in Color Modify Dialog

The Red-Green-Blue model is based on the fact that any color can be obtained by mixing red, green and blue light in defined proportions. RGB values consist of three numbers expressing respectively the red, green and blue content of a color, on a scale 0 - 255. RGB values are commonly used to describe colors on self-luminous objects such as computer monitors.

Exmples of Color RGB value

Color | RGB Value
White | 255,255,255
Red | 255,0,0
Orange | 255,128,0
Yellow | 255,255,0
Green | 0,255,0
Blue | 0,0,255
Purple | 128,0,255

See also .

See also Hue, Saturation, Brightness color model.


Notes and Records (cloth menu)

Notes and Records dialog and menu item

Reach this dialog by going to the Cloth menu, then select Notes and Records

This menu item allows you to make notes and maintain weaving records. The Notes dialog has three components which you select via the tabs across the top:

The leftmost tab selects the Notes editor allowing you to type simple text into the box. You can select a single font and size, which is also used when the notes are printed. A template for a standard weaving record can be inserted (pushbutton Insert notes template at right). The notes editor will handle up to about 32,000 characters.

Make sure you quit Notes and Records by clicking the OK button!

Windows treats the close button [image] at top right as equivalent to Cancel, and cancel causes your text to be discarded!

Popup menu for editing Notes:

A menu of editing functions that apply to the Notes can be popped up by pressing the right mouse button anywhere inside the Notes dialog. This allows you to cut, copy, paste and undo within the notes editor (Edit items in the main menubar apply to the design, not the notes).

Notes can be included optionally when you print your design.

See also Heddle counts and color counts


heddle page

Heddle counts and Color counts pages

These are pages on the Notes and Records dialog.

Reach this dialog by going to the Cloth Menu, select Notes and Records, then click the Heddles used or Thread counts by color tabs in the Notes and Records dialog.

The middle tab shows heddle counts, i.e. the number of warp threads threaded on each shaft:

Color counts

The right-hand tab shows Thread counts by color, i.e. number of threads of each color in warp and weft. Colors are described by name, and by numeric value. You can select Hue, Saturation and Brightness (HSB) or Red-Green-Blue (RGB) models for numeric color description.

Notes, heddle counts or color counts can be included optionally when you print your design.


Warp menu

The Warp menu includes the following items to allow manipulation of threading draft and warp colors:

Fill... | Fill threading draft with straight draw, point draw or rosepath.
Colors... | Set warp color for simple repeating sequences.
Thickness... | Set warp thickness for simple repeating sequences.
Repeat... | Repeat existing warp in various symmetries.
Make Symmetrical... | Mirror repeat the existing warp.
Reverse sequence... | Flip the existing warp right for left.
Redraw as Overshot... | Redraws freehand or stepped line on a network.

Back to main index


fill (warp menu)

Fill dialog and menu item

Reach this dialog by going to either Warp or Weft Menu, then select the Fill item.

Use these menu items for instant entry of simple repetitive threading or treadling sequences. Select the repeat style at left, then set either the number of repeats or total thread count. Then click Add to End to append to an existing draft or Replace All to overwrite an existing draft.


colors (warp menu)

Colors dialog and menu item

Reach this dialog by going to either Warp or Weft menus, then select Colors.

Use these dialogs to set a single thread color or to set a simple repeating pattern of two colors across the entire warp or weft.

Using the Warp or Weft Colors dialogs: First select the repeat type from the list box at the top of the dialog.

All threads gives one color across the entire warp or weft. The remaining options give simple patterns of two colours designated as threads A and B.

Each color is selected from color dials A and B. The selected color is the one positioned in the middle of the color dial. To change the color, either slide the scroll bar next to each dial, or you can click on a color in the dial and drag it directly to the center position. The Thread B color dial will be inactive and grayed out if All threads is selected.

A preview of the color pattern is shown on the right.

There are other methods available if you wish to set different thread color sequences on a thread by thread basis or in more complex repeat patterns with multiple colors.

See also using the keyboard to enter colors.


thickness (warp and weft menus)

Thickness dialog and menu item

Reach this dialog by goiing to Warp or Weft Menus, the select Thickness.

Use this dialog to set a single thread thickness or to set a simple repeating pattern of two thicknesses across the entire warp or weft.

First select the repeat type from the list box at the top of the dialog.

All threads gives one thickness across the entire warp or weft. This is set in the numeric box marked Thread A on the right. The Thread B box will be inactive and grayed out. You can type a number in or click on the up and down pointers on the right edge of the box.

The remaining options create a pattern of two thread types, e.g. A-B sets a simple alternating pattern.

If one of these patterns is selected, both Thread A and Thread B numeric boxes will be active.

Thread thicknesses are give relative values in PCW, with a "normal" thread being given the value 4. The minimum value is 1 (one quarter "normal" thickness) and the maximum is 64, or 16 times "normal". "Normal" is whatever is predominant in your design, whether it's 8/2 or 140/2.

Other methods are available if you wish to set different thread thicknesses on a thread by thread basis or in more complex repeats.


make symmetrical (warp and weft menus)

Make symmetrical and Reverse sequence dialogs and menu items

Reach these dialogs by going to the Warp or Weft menus, then select Make Symmetrical or Reverse Sequence.

Use these dialogs to reverse the order of threads in the warp or the treadling sequence. Both dialogs allow you to choose whether you reverse the threading/treadling, the color sequence or the thickness sequence, or any combination.

The Reverse warp or weft dialogs replace the original threading or treadling with the reversed sequence.

Result of Reverse sequence

The Make symmetrical dialog appends the reversed sequence to the end of the original to create a simple symmetrical repeat of threading or treadling components.

Result of Make symmetrical


redraw as overshot (warp menu)

Redraw as Overshot menu item

Select this item from the Warp menu.

Use this menu item to generate a new overshot threading from a hand-drawn line called a pattern line. It's convenient to use 12 or 16 shafts for the pattern line; using a larger number of shafts gives you more freedom of movement in freehand drawing.

Use the line draw [image] or freehand [image] drawing tools to create the pattern line. The result will be better if the curves are flatter, as in the example, rather than steeper. The pattern line should be prepared before going to Redraw as Overshot.

From the Warp menu, select Redraw as Overshot, and the pattern line will be compressed into a new overshot threading.

Use the Weft menu item Weave As Drawn In to create a matching treadling, add a tie-up, and the design is complete.

Redraw as overshot is only found in Fiberworks Bronze. In Fiberworks Silver, it is replaced by Redraw on Network.


Tieup menu

The Tieup menu includes the following menu items to allow manipulation of tieup etc:

Twill Repeat | Create twill tieups by repeating the first treadle in ascending or descending steps.
Repeat by quarters | Generate a tieup that has symmetry in four quadrants.
Change Face | Interchange lifted and unlifted shafts; cloth weaves from other side. Disabled if multipedal treadling is allowed.
Turn Draft | Interchange threading for treadling; cloth is turned 90 degrees. Disabled in liftplan mode or if multipedal treadling is allowed.
Sinking shed Draft | When selected, simulates sinking shed action; shafts are lowered at each pick instead of being raised.
Allow multipedal treadling | When selected, each pick can select several treadles. When not selected, each pick uses only one treadle; the insertion point advances as each pick is drawn or typed in.
Tieup | Generate a normal tieup and treadling from a liftplan.
Liftplan | Generate a liftplan from a conventional tieup and treadling.
Shafts and Treadles | Select the number of shafts (max 16) or treadles (max 32) to use.

Back to main index


twill repeat (tieup menu)

Twill repeat menu item and dialog

Reach this dialog by going to the Tieup menu, then select Twill Repeat

Use this dialog to quickly generate twill tieups.

Start by drawing the initial twill pattern on the first treadle before calling up the dialog.

The dialog allows you to step up or step down to obtain opposite twill lines.

You can also create initials of 2 or 3 treadles; step up by 1 to obtain a steep twill effect, or step up by 2 for complex twills.

This is an "active" dialog, and makes changes in the draft whenever you click the Apply button. You can undo what you don't like without leaving the dialog, and this gives you freedom to experiment with the different options.


Repeat by quarters (tieup menu)

Repeat by Quarters dialog and menu item and dialog

Reach this dialog by going to the Tieup Menu, then select Repeat by Quarters

Use this dialog to quickly generate a tieup in which has some kind of symmetrical relationship in four quadrants.

Start by drawing in the lower left quadrant before opening the dialog. The quadrants can be simple repeats, turned, flipped left for right or inverted top for bottom. Each quadrant can also be drawn like the original, or change face as selected.

In the first example, there's a 90° turn at each quadrant, and the NW and SE quadrants have changed face, i.e. black (lifted) and white (not lifted) squares are interchanged in the draft. In the second example, NW and SE corners are turned 180°.

This is an "active" dialog, and makes changes in the draft whenever you click the Apply button. You can undo what you don't like without leaving the dialog, and this gives you freedom to experiment with the different options.


change face (tieup menu)

Change Face menu item

Select this item from the Tieup Menu

Use this menu item to weave a sample from the opposite side. The Tieup or the Liftplan will be converted by exchanging black (lifted) and white (not lifted) squares in the draft.

Important notes

  • Use this option if your design has unbalanced lifting of shafts, i.e. on average, more than half the shafts must be lifted on each pick. Change face will allow you to weave by lifting fewer than half the shafts on each pick.
  • Bear in mind that the back of the cloth is now on top; if your design is not symmetrical, you will get a mirror image of your design motifs on the front face underneath. If necessary, correct this by applying Reverse sequence (warp menu) to the threading
  • Change face does not work if you use skeleton tie-up and multipedal treadling, and the menu option Change face is disabled (grayed out) if multipedal treadling is selected.


Turn draft (tieup menu)

Turn Draft menu item

Select this menu item from the Tieup Menu

Use this menu item to turn the draft, transposing warp for weft. The visible effect is to rotate the cloth by 90° counter-clockwise.

The following changes are made to bring this about:

  1. The threading and treadling are exchanged; the former pick 1 becomes the leftmost warp end.
  2. The tie up is adjusted so that the same face of the cloth remains on top.
N.B. You can only turn a draft with a conventional tieup and treadling. Liftplan or a multipedal treadling sequences can't be converted into threadings.

Turning a draft is often done when the original warp is a single color and the weft has many colors, requiring constant changes of shuttle. When turned, the piece can be woven with one shuttle.


sinking shed (tieup menu)

Sinking shed menu item

Select this item from the Tieup Menu

Use this menu item to design for a counterbalance loom. In general, make this change before starting the design, or have your preferences set for sinking shed if you routinely use a counterbalance loom.

When sinking shed is selected, the action of treadling pulls shafts and the threaded warp down so that weft shows on the surface.
When sinking shed is not selected the drawdown is based on rising shed; the action of treadling pulls shafts and the threaded warp up so that warp shows on the surface.

Changing to sinking shed on an existing design does not change the tieup, so the consequence of changing to sinking shed with an existing design will be to change the face of the cloth drawdown, by exchanging black (lifted) and white (not lifted) squares in a structure drawdown, or warp on the visible surface for weft in a color drawdown. You can restore the original appearance of the cloth by going to the Tieup menu, Change face after switching between rising and sinking shed.

See also Warp drawdown, Weft drawdown.


Allow multipedal treadling (tieup menu)

Allow Multipedal Treadling menu item

Select this menu item from the Tieup Menu

Use this menu item to use skeleton tieups and allow treadling with two (or more) feet.

When Allow Multipedal is selected a check mark shows in the menu; you can then enter more than one treadle at each pick of the treadling; the insertion point does not advance automatically if you are typing the treadling sequence. Use the down arrow key to advance when needed.

When Allow Multipedal is not selected, no check mark shows in the menu, and you can only enter one treadle per pick. The insertion point advances automatically if you are typing in the treadling. If you try to type or click with the mouse on a new treadle for a pick that's already entered, the new treadle replaces the previous one.

Skeleton tieups usually work best for tied weaves; one group of treadles covers the tie-downs (shafts 1 and 2, blue squares) and the other the pattern shafts (shafts 3-8, black squares). Each pattern pick requires one tie-down treadle and one pattern treadle.

The full tieup version of the example above requires 14 treadles instead of 10. A similar design on twelve shafts would require 14 treadles as a skeleton tieup instead of 22 treadles as a full tieup.

Note that Allow multipedal treadling does not convert a full tieup and treadling into skeleton tie up, but merely allows one to work in this manner.


(Untitled)

Weft menu

The Weft menu offers the following menu items to allow manipulation of treadling draft and weft colors:

Fill... | Fill treadling draft with straight draw, point draw or rosepath.
Colors... | Set weft color for simple repeating sequences.
Thickness... | Set weft thickness for simple repeating sequences.
Repeat... | Repeat existing treadling in various symmetries.
Make Symmetrical... | Mirror repeat the existing treadling.
Reverse sequence... | Flip the existing treadling top for bottom.
Weave As Drawn In... | Copy threading or warp colors to treadling drafts.
Add Tabby | Derive the tabby tieups and insert tabbies into the treadling.
Remove Tabby | Identify the tabbies and remove them from the treadling.


Add tabby (weft menu)

Add Tabby dialog and menu item

Reach this dialog by going to the Weft menu, then select Add Tabby

Use this dialog to insert tabby treadles into the tieup, and tabby or ground weave picks into the treadling.

There are several choices of repeat, the most commonly used being AxBx, in which pattern shots (x) and tabby shots (A or B) alternate.

Other buttons give you the choice of starting the treadling on a pattern shot or a tabby shot, and to switch the A and B tabbies over.

If you are using a conventional tieup and treadling, you may choose to put the inserted tabby on treadles 1 and 2 by checking the box so labelled. If this box is unchecked, tabby treadles will be added after the pattern treadles, as shown in the example on the left.

No extra treadles are needed to add tabby to a liftplan.

See also Weft menu: Remove Tabby

Back to Weft menu

Back to main index


Untabby (weft menu)

Remove tabby menu item

Select this menu item from the Weft Menu

Use this menu item to strip tabby picks out of a treadling. PCW analyzes your threading to identify the tabby picks, and then removes them. You will be shown a preview of the result and asked to confirm whether the right picks were removed. If you answer No, the treadling is restored with nothing removed.

See also Weft menu Add Tabby

Back to Weft menu

Back to main index


(Untitled)

Tools menu

The Tools menu includes the following menu items to allow checking or automatic generation of designs:

Float Search | Search for longest float in warp or weft. Only the currently visible surface is searched - switch to back view (View menu) to search the opposite surface.
Block Substitution | Uses the current design as a profile draft for automatic substitution; weave structure may be chosen from a list of dozens of standard weaves. On completion, the original profile will be retained in a separate window.
Fold Double | Takes an existing design up to 16 shafts max, and reworks the threading, treadling and tieup to weave double wide. The number of shafts required will be doubled. Disabled if current design is more than 16 shafts.
Namedrafts | Creates a new overshot design from a name or phrase. It's suggested that you start this with an empty design,however if there's an existing design on screen it will be preserved in a new window.


Float search (Tools menu)

Float search menu item and dialog

Reach this item by going to the Tools menu, then select Float Search

Use this dialog to find long floats in a design.

The dialog searches for warp or weft floats separately, since floats in one direction may be more acceptable than the other in some cases. The search is also restricted to the surface that is visible on the screen (normally the front), since float on the back may also be acceptable in some cases. To search the other face, click the back button [image], then repeat the search.

The result of the search is reported on the status line in the bottom left corner. Floats of three threads or less are ignored. Longer floats are indicated in the cloth by outlining in a light blue rectangle. For visibility, it may be better to do this in a structure view rather than a color view, where the rectangle outline could be hard to see.

You can fix the float, by clicking directly into the float itself, which corrects tieup or liftplan, or by adjusting threading for weft floats or treadling for warp floats. The Float Search dialog allows you to work in the design without having to close the dialog.


Block substitution(Untitled)

Block Substitution dialog and menu item

Reach this dialog by going to the Tools menu, then select Block Substitution.

Use the Block Substitution dialog to expand a profile draft into a full drawdown by replacing the units of the profile with a selected weave structure.

The dialog lists a large number of weave structures in separate groups; click on the [+] symbols to expand one of the groups of structures, e.g. 2-tie weaves.

Click on a structure to select it.

Click on the [-] symbol on the left to collapse a group.

The check boxes in the dialog allow you to choose whether to expand threading, treadling, color sequences or tieup. You may dispense with the tieup or replace it by a liftplan; if your profile is already a liftplan, the result of substitution will also be a liftplan.

Click OK to accept the selected weave structure and to preview the result.


Block substitution preview

Block substitution preview dialog

Reach this dialog by going to the Tools menu, select Block Substitution, then select the weave structure you wish to Preview and press OK.

This dialog allows you to preview a block substitution before accepting the result. Click OK to accept, or click Try Another to return to the main Block Substitution dialog to try a different weave structure.

The dialog gives you control over the preview of a block substitution. Buttons allow you to select color or structure view and front or back view, and to increase or decrease magnification. You can change the number of treadling repeats per profile unit, and choose to include tabby (if appropriate to your weave structure; for some weave structures, the ground weave is an intrinsic part and can't be omitted).

Two check boxes allow you to change the face of the design:
Profile changes only the pattern elements of the design.
Cloth changes both pattern and ground elements of the design.

The sample above has substituted Huck Lace into the profile shown above.
Note that for change face of profile, pattern appears where ground weave used to be, and ground weave appears where pattern used to be.
For change face of cloth, warp pattern has replaced weft pattern.

Click OK if the result is what you wanted; the original profile and the substituted drawdown will appear in separate windows.

Select Try another if you wish to try a different weave structure.

Select Cancel to return to the original Profile draft.

Back to Block Substitution dialog

Back to Tools menu

Back to main index


Fold double (tools menu)

Fold Double dialog and menu item

Reach this dialog by going to the Tools Menu, the select Fold double

Use this dialog to convert a weave into doubleweave by folding over on itself.

This tool is primarily intended to allow you to weave a pattern at double the warp width by folding over. The number of shafts required is doubled by this conversion, e.g. an 8-shaft pattern must be woven on 16 shafts.

The different options govern the treadling sequences which are needed in order to connect the layers, joined on the left only for double width, on both edges for tubular, or as two independent layers. This tool does not allow for blocks to exchange layers, although this could be done by pick-up weaving.


Namedraft (tools menu)

Namedraft dialog and menu item

Reach this dialog by going to Tools menu, then select Namedraft.

Use this dialog to create an novel overshot automatically from a name or phrase that you type in.

It's recommended that you start with a blank drawdown, although if you don't, the current drawdown will preserved in a separate window.

Start by typing a name or phrase, then select one of the coding alphabets (buttons A-F), and whether you want rose or star style tieup. This generates an initial motif with roughly the same number of threads as the number of characters in your name or phrase.

The initial unit is then repeated according to a selected pattern; by default this is repeat-reverse-repeat, which is then made symmetrical or mirrored about the centre of the design, and finally transcribed to the treadling as drawn in. Buttons at lower left allow you to change the viewing magnification from within the dialog so that the complete overshot pattern can be seen.

Other repeat options can be selected from the list in the lower half of the dialog.

If you wish to create a pattern other than overshot, take the one repeat option and use it as a profile draft. Then use block substitution to apply a different weave structure.

This is an "active" dialog, and makes changes in the draft whenever you click the Apply or other buttons button. There is no undo, but if you don't like what you see, simply try a new combination of name/phrase, coding scheme, tieup and repeat. The new namedraft will replace the current contents and this gives you freedom to experiment with the different options.


(Window menu commands)

Window menu

The Window menu includes the following menu items, which enable you to arrange multiple views of multiple documents in the application window:

Cascade | Arranges design windows in tiers that overlap each other.
Tile | Arranges design windows in non-overlapped tiles, with preference for horizontal subdivision of the Fiberworks window frame.
Tile Vertical | Arranges design windows in non-overlapped tiles, with preference for vertical subdivision of the Fiberworks window frame.
Arrange Icons | Arranges title bars of design windows that have been minimized, stacking them at the bottom of the Fiberworks window frame.They may be hidden if an open window occupies that part of the frame, or if a design window is maximized
Open windows list | The bottom of the Windows menu contains a list of up to nine currently open design windows. If more than nine windows are open, the list ends with the menu item More Windows. Back to main index


(Cascade command (Window menu))

Cascade menu item

Select this item from the Window menu

Use this menu item to arrange multiple opened windows in an overlapped fashion.


(Window Arrange Icons Command)

Arrange Icons menu item

Select this item from the Window menu

Use this menu item to stack the title bars for all minimized design windows at the bottom of the main Fiberworks window. If there is an open design window at the bottom of the main window, it may cover up and hide some of the stacked title bars.


(Tile command (Window menu))

Tile and Tile Vertical menu items

Select these items from the Window menu

Use this menu item to arrange design windows in non-overlapped tiles within the main Fiberworks window frame. Tile preferentially subdivides the area horizontally.
Tile vertical subdivides preferentially vertically.


(1, 2, ... command (Window menu))

Open Windows list

Find this list in the Window menu

Fiberworks displays a list of currently open design windows at the bottom of the Window menu. A checkmark appears in front of the document name of the active window. Choose a design from this list to make its window active, by clicking the mouse on it or by typing the number that appears in front of the window name. If more than nine windows are open, the last item on the list is More Windows... . This takes you to a scrollable list of all open windows.


(Help menu commands)

Help menu

The Help menu offers the following menu items, which provide you assistance with Fiberworks:

Help Topics | Opens the Main Index of help topics.
About | Displays the version information for this copy of Fiberworks.


(Help topics command (Help menu))

Help topics

Select this menu item from the Help menu

Use this menu item to display the opening screen of help. From the opening screen, you can jump to step-by-step instructions for using Fiberworks and various types of reference information. The help index has the following major subdivisions:

  • Getting started walks you through the basics of creating a new design with Fiberworks.
  • How do I...? Answers questions about how to carry out common tasks.
  • Menus gives detailed descriptions of how to use each menu item in Fiberworks.

Underlined items, as seen in the list above are links. You can click on a link to go to a more detailed explanation of the term that was underlined.

Once you open help, you can click the Contents tab whenever you want to navigate through the Help system. When you see the collapsed topic symbol [image], you can click on the [+] symbol to expand all the subtopics.

An expanded topic can contain plain subtopic pages [image] that do not expand any further, or additional levels of expandable topics. Click on the [-] symbol next to an expanded topic symbol [image] to collapse the topic. This makes more room to see other topics in the list.

You can also use the F1 key to get help for any menu item or within any dialog, even when there is no Help button:

  • Open a menu and rest the mouse curson on the menu item you want explained, then press the F1 key.
  • When any dialog is open, simply press the F1 key.

You can use the query button on the tool bar to click on to items on the screen:

  1. Click on the query button [image] at the bottom of the toolbar
  2. The cursor will change to the symbol
  3. Click on an item that appears on screen
  4. The help system opens at the corresponding topic, and the cursor reverts to its normal state.

When a dialog is open, in most cases you can't access the query button, so use the F1 key instead.


(No Help Available)

No help is available for this area of the window.

Back to main index


(About command (Help menu))

About dialog and menu item

Select this menu item from the Help Menu

Use this menu item to display the copyright notice and version number of your copy of Fiberworks.


Context menus

Context menus are menus which can be made to pop up in the immediate area where you are working in drawdown or sketchpad.

How to pop up a context menu by mouse

If your mouse is set to erase on left double click, Right click wherever you want the menu to appear.

If your mouse is set to erase on right click, do Shift+Right click wherever you want the menu to appear.

Where you click determines which menu you get: click in the threading to get a threading related menu,and so on.

How to pop up a context menu by keyboard

Press the application key and the menu will popup at the current mouse cursor location if the cursor lies within a drawdown or sketchpad frame.

See alternatives to double click and Preferences, miscellaneous for information on mouse actions and the application key.

For the most part, options in the context menus are selections of the most frequently used items from the normal menus.

They are context sensitive, that is to say the menu contents relate to the location, e.g. in the threading, popup menus contain threading-related items. Slightly different popups also occur if clicked within a selection rectangle.

The following items may be found in some context menus but not in any of the regular menus:

Get Draw Tool may appear when the selection tool [image] is active. Select this item to restore the most recently used drawing tool.

Blank out may appear when a selection rectangle exists in a draft. This causes the contents of the rectangle to be erased as for cut, but without placing those contents in the clipboard. Unlike Delete threads which closes the gap left by a deletion, Blank out leaves the gap open.

Extend selection may appear when a selection rectangle exists in a draft.

Back to main index


extend (Threading popup menu)

Extend selection dialog and menu item

Reach this dialog by selecting the menu item Extend Selection from Threading or Treadling popup menus

See Context menus

Extend selection will appear when a selection rectangle exists in a threading or treadling draft, and you pop up a context menu.

This provides a way to increase the size of the selection rectangle after it has been created. Click on any of the four direction buttons; this extends the current selection to the limit of the draft in the direction selected, even if this point lies off screen and is not currently visible.

There's also another method to expand the size of the selection rectangle to some point that is currently visible on screen, but not necessarily the limit of the draft. After an initial selection has been made, hold down the the control key while you click the mouse at a new location lying outside the existing selection, and the selection rectangle will expand to include that point.

See also Edit menu, Select

Back to main index


(Choose Font Dialog)

Choose Font dialog box

Choose the font to display or print your project notes in Fiberworks. Only one font can be used in a design.


(File New dialog box)

Specify the type of design you want to create:

  • A drawdown representation of a weaving draft can be saved as dtx or wif file.
  • A free-format sketchpad design can be saved as a bmp file (Fiberworks Silver only).


(No Help Available)

No help is available for this message box.

Back to main index


(Docking Toolbar Area)

This area is provided to contain dockable toolbars, such as the default toolbar created for Fiberworks. Docking toolbars can be dragged onto or off this client area, and arrange themselves according to the space available.


(Help Using Help Command)

Context Help command

Use this command to obtain help on some portion of Fiberworks. When you choose the toolbar's Context Help or query button [image], the mouse pointer will change to an arrow and question mark. Then click somewhere in the Fiberworks window, such as another toolbar button. The help topic will be shown for the item you clicked.


(File Page Setup Command)

Page Setup command (File menu)

<< Write application-specific help here. >>


(Using Help command (Help menu))

Use this command for instructions about using help.


(Close command (Control menus))

Close menu item (Control menus)

Select this item from the window control menus

You may use this menu item to close the associated window. The application control menu closes the whole Fiberworks window frame and all the designs it contains. Each design window has a document control menu, which only closes that single design window.

However, rather than opening a menu, it is generally more convenient just to click the close button at the right hand end of the title bar of both Fiberworks and the individual design windows.

Double-clicking a Control menu button is the same as choosing the Close command.

Back to main index


(Maximize command (System menu))

Maximize menu item (Control menu)

You may use this menu item to enlarge the active window to fill all the available space. When applied to the Fiberworks main frame window, the Fiberworks frame will occupy the entire screen. When applied to any of the individual design windows, that design fills the Fiberworks frame window. This hides, but does not close other design windows that are currently open.

However, rather than opening the control menu, it is generally more convenient to click the maximize button at the right hand end of the title bar.

You can also maximize a window by double-clicking the mouse cursor on the title bar.

Back to main index


(System Minimize Command)

Minimize menu item (Control menu)

You may use this menu item to hide, but not close the active window. When applied to to the Fiberworks main frame window, the Fiberworks frame will disappear from the screen, but remain as a button on the Windows task bar at the bottom of the screen. Click this button to restore Fiberworks to its position on screen.

When applied to any of the individual design windows, that design window shrinks down to a short title bar without an attached window frame. The minimized title bar usually parks itself at the bottom of the Fiberworks window frame.

However, rather than opening the control menu, it is generally more convenient just to click the minimize button at the right hand end of the title bar.

Back to main index


(Move command (Control menu))

Move menu item (Control menu)

Use this menu item to display a four-headed arrow so you can move the active window or dialog box with the arrow keys. However it is generally more convenient to move a window by clicking the mouse cursor on the window's title bar, and dragging to the desired location.

Note: This command is unavailable if you maximize the window.

See also: Moving and resizing windows.

Back to main index


Next (document Control menu)

Next menu item

Reach this item from the document control menu:

click the icon at the top left corner of the drawdown window and select Next from the menu that drops down.

If you have multiple design windows open, select this menu item to bring the next design up to the top level so you can work on it.

However a better way to navigate between different design windows is to go to the Window menu and pick the design that you want from the list at the bottom of the menu.

Back to main index


(Restore command (Control menu))

Restore menu item (Control menu)

Use this menu item to return the active window from a mximized or minimized state to original its size and position.

The restore menu item replaces Maximize or Minimize in the control menu, and the Restore button replaces the maximize or minimize button at the top right corner of the window frame.

See also Controlling window frames with the mouse.

Back to main index


(Size command (System menu))

Size menu item (Control menu)

You may use this menu item to display a four-headed arrow so you can resize the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

  1. Press one of the direction keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.
  2. Press a direction key to move the border.
  3. Press ENTER when the window is the size you want.

However it is usually more conveient to resize a window with the mouse. Rest the mouse cursor on the edge of the window frame. When the cursor turns into a double headed arrow, click and drag the window edge to the desired size.

Note: This menu item is unavailable if you maximize the window.

Back to main index


(Tile Horizontal command (Window menu))

Use this command to vertically arrange multiple opened windows in a nonoverlapped fashion.


(Tile Vertical command (Window menu))

Use this command to arrange multiple opened windows side by side.


(Modifying the Document)

<< Write application-specific help here that provides an overview of how the user should modify a document using your application.

If your application supports multiple document types and you want to have a distinct help topic for each, then use the help context ID generated by running the MAKEHELP.BAT file produced by the application wizard. Alternately, run MAKEHM as follows:

makehm IDR_HIDR_,0x2000 resource.h

If the IDR_ symbol for one of your document types is, for example, IDR_CHARTTYPE, then the help context ID generated by MAKEHM will be HIDR_CHARTTYPE.

Note: The application wizard defines the HIDR_DOC1TYPE help context ID used by this help topic for the first document type supported by your application. The application wizard produces an alias in the .hpj file for your application, mapping HIDR_DOC1TYPE to the HIDR_ produced by MAKEHM for that document type. >>


(Changing number of shafts and treadles)

Shafts and Treadles Dialog

Reach this dialog by going to the Tieups menu, then select Shafts and Treadles

This dialog allows the number of shafts and treadles to be set:
(PCW Bronze is limited to 16 shafts and 32 treadles).
Either type a number directly into the numeric boxes for shafts or treadles,or click and drag the sliders to the appropriate number.

Within each numeric box, there's a pair of spin buttons: Click the up or down button to increase or decrease the numeric value in single steps. Use the slider for coarse setting, and the spin buttons as a fine control for setting the exact number of shafts or treadles required.

In general, you should set the number of shafts first, and then set the number of treadles afterwards if necessary. As you adjust the number of shafts, you will see the number of treadles changing to match. If you then need to adjust the number of treadles, you can then change the treadle setting by itself without changing the number of shafts.

If your design is in liftplan mode, the treadle controls will not show in the dialog.


Why wont print

Why won't my printer print a drawdown?

Elementary considerations

Is the printer plugged in and switched on?
Is the cable connected to the computer?
If it's a new printer, has the driver been installed?
Is there a paper jam?
Is there paper in the tray or sheet feeder?

Hope this is not insulting, but sometimes the answer is this simple.

Deeper problems

If you go to the File menu and select Printer Setup, does the expected printer show up in the box labelled Printer Name: ? Is its status shown as Ready?
If not, reselect the appropriate printer.

Check the printer status

Click the Start button at the bottom left corner of the screen.
If the menu shows Settings, select it and select Printers and Faxes from the submenu that appears. Otherwise, select Control Panel, and from the Control Panel, select Printers (Vista/Seven) or Printers and faxes (XP). A panel should appear, either showing a list of printers or an array of icons representing printers. Double click your printer's name or icon. A window should appear that shows the Print Queue for your printer.

This list represents items waiting to print, and should normally be empty, which would indicate that all your attempts succeeded.

If the items you attempted to print are listed as in the example above, it indicates that Fiberworks successfully completed its role in the printing task, but something else is gumming up the works in Windows or in the printer itself. First of all, clear the printer queue by opening the Printer menu, and select Cancel All Documents. The list should clear or may be left with a single item.

  1. Check for a printer jam, and that paper is feeding correctly. If that does not solve the problem, then ...
  2. Reboot Windows: save all pending files, close all windows and programs, and shut Windows down completely. Sleep or Restart don't always work in this situation. Wait at least 5 second while the computer is fully off, then start up again. Check the printer queue, and the printer. The printer queue should now be empty or the final document may start to print. If not ...
  3. Turn the printer off, wait 5 seconds, then turn it on again.


Blank out (popup menus)

Blankout menu item

Reach this item from popup menus:

Right click* in an appropriate part of the drawdown to make the menu pop up; a selection rectangle must exist for the popup menus to include this item.

This menu item causes the contents of a selection rectangle to be blanked out. Unlike the menu item Delete Threads, the gap remaining is not closed up.
*Shift right click if your mouse is set to erase with the right button.

Back to main index


Get Draw Tool (popup context menus)

Get Draw Tool menu item

Reach this item from popup menus:

Right click* in an appropriate part of the drawdown to make the menu pop up.

If the Select tool [image] or Color pick-up tool [image] are currently selected, this menu item will restore the drawing tool most recently used. You must have a drawing tool selected to apply color with the mouse, set individual thread widths or draw into the draft grids.
*Shift right click if your mouse is set to erase with the right button.

Back to main index


Select here (popup menu)

Select Here, Select All menu items

Reach these items from popup menus:

Right click* in a threading or treadling draft to make the menu pop up. The selection tool should first be selected, but no selection should be made before popping up the menu.

These menu items offer a quick way to select a large portion of a threading or treadling draft. The selection can be used to cut, copy, transform, or perform any other operation that requires a selection.

*Shift right click if your mouse is set to erase with the right button.

Back to main index

Select Here to Start | selects everything in the threading or treadling from the first end or pick to the current cursor location.
Select Here to End | selects everything in the threading or treadling from the current cursor to the last end or pick.
Select All | selects the entire threading or treadling.


liftplan (tieup menu)

Tieup and Liftplan menu items

Select these menu items from the Tieup menu

Use these menu items to select normal tieup and treadling or liftplan treadling modes.

In tieup and treadling mode, each treadle is linked to a particular set of shafts via the tieup. The number of such shaft combinations is limited by the number of treadles available.

In liftplan mode, each pick indicates directly which shafts should be lifted. Liftplan mode allows more combinations of shafts than is possible on a limited number of treadles, and may be used either on dobby looms, or with table looms where shafts are selected individually with levers instead of with treadles. The liftplan shows which levers to flip at each pick.

If Liftplan mode is selected for an existing tie and treadling, the drafts are automatically converted.

If tieup mode is selected for an existing liftplan, automatic conversion also occurs, but the treadling order may need to be. adjusted.


(redraw on network)

Redraw on Network dialog and menu item

Reach this dialog by going to Warp or Weft menus, then select Redraw on Network.

Use these dialogs to generate a network threading or treadling from a hand-drawn line, referred to as a pattern line. The example shows a threading, but can also be applied to a curve drawn in the treadling.

To create a pattern line, draw a continuous curve in the threading using line draw [image] or freehand [image] drawing tools. The result will be better if the curves are flatter, as in the example on the right, rather than steeper. The pattern line should be prepared before opening the Network dialog.

If you are unfamiliar with network drafting, read more about network drafting before proceeding.

The original pattern line can be on a much larger number of shafts than the final weaving draft; using a larger number of shafts gives you more freedom of movement in freehand drawing.

The dialog provides two methods for reducing shafts to a weavable number.

Telescope reduces, for example down to 8 shafts, by taking any part of the line on shafts 9-16 and redrawing on shafts 1-8, likewise for anything on shafts 17-24 or higher.

Digitize reduces, for example from 16 to 8 shafts, by redrawing original shafts 1 and 2 on new shaft 1, redrawing original shafts 3 and 4 on new shaft 2 and so on.

You can telescope or digitize a pattern line without imposing a network: just click into the box labelled No Network so that a check mark appears.

Set Initial Height and Style

There are two options to select, Height and Style. Ideally the final number of shafts should be divisible* by the height of the initial, e.g. for 12 shafts, initials of height 3, 4 or 6 may be used. The initial height also determines maximum float length, and a larger initial will result in longer floats. The most common networks use a simple left or right twill and initial height of 4.
*See rollover below.

Initial styles are shown below:

left twill height 4 floats of 3 | right twill height 4 floats of 3
point twill height 4 weft floats of 5 | zigzag twill height 4 weft floats of 5
rosepath height 4 weft floats of 5 | satin height 5 floats of 4

To create a network draft:

  1. Create your pattern line
  2. Open the Redraw on Network dialog
  3. Select any reduction needed; make sure that the box labelled No Network is unchecked.
  4. Select Initial height and style
  5. Click Apply; this is an "active" dialog, and makes changes in the draft whenever you click the Apply button. You can undo what you don't like without leaving the dialog, and this gives you freedom to experiment with the different options.
Example using the pattern line shown previously, with no reduction, right twill initial at height 4. Network lines are shown as diagonal dashes.
Same pattern line telescoped to 8 shafts, right twill initial at height 4:

Overshot threadings can also be derived from hand drawn curves using Redraw on network. For overshot, telescope to 4 shafts and use a left or right twill initial of height 2.

What's happening in the draft

On the right is a magnified view of the bottom right corner of the example drafts above. The underlying network is indicated by diagonal dashes, the redrawn threading is in black. Onto this, the original pattern line has been superimposed in red. What happens is that wherever the original pattern line does not lie exactly on a network line, the threading is promoted (red arrows) up to the shaft marked by the next higher network line.

Rollover effect

When the pattern line (red squares) reaches the top of the draft (towards the left in the examples above), there may not be a network line (diagonal dashes) above the indicated shaft. Wherever this happens, the indicated shaft rolls over down to shaft 1 (red arrows) to find the next higher network position (black squares).

Rollover works perfectly well if the initial height divides exactly into the number of shafts in the pattern line, e.g. height 4 divides 8 or 16 exactly. Otherwise when a rollover occurs there's a mismatch in how the pattern line fits the network at the transition between rollover and non-rollover locations. This results in ugly discontinuities in the final drawdown. The example shows a case where an initial of height 4 is used on a 9 shaft threading draft. Where the pattern line (red) on shaft 9 does not lie on the network (diagonal dashes) it must be promoted - by one shaft if shaft 10 had been available. Instead, it rolls over, and is promoted by 2 shafts.

When the height of the initial does not divide evenly into the final number of shafts:

  • Avoid telescoping, which uses rollover to achieve its effect.
  • Check the box marked No rollover if you digitize.
  • If you use no reduction, the final number of shafts should be equal to the maximum shaft in the pattern line plus the height of the initial minus one.